html {
	box-sizing: border-box;
	-webkit-text-size-adjust: none;
	-moz-text-size-adjust: none;
	-ms-text-size-adjust: none;
	text-size-adjust: none
}

*,
*::before,
*::after {
	box-sizing: inherit
}

body {
	margin: 0
}

hr {
	box-sizing: content-box;
	overflow: visible
}

a,
button,
label,
input {
	-webkit-tap-highlight-color: transparent
}

a {
	color: inherit;
	text-decoration: none
}

small {
	font-size: 80%
}

sub,
sup {
	line-height: 1em
}

img {
	border-style: none
}

table {
	border-collapse: separate;
	border-spacing: 0
}

td,
th {
	font-weight: normal;
	vertical-align: top
}

button {
	margin: 0;
	padding: 0;
	font-size: inherit;
	background: transparent;
	border: 0
}

input {
	border: 0;
	outline: none
}

:root {
	--md-default-fg-color: hsla(0, 0%, 0%, 0.87);
	--md-default-fg-color--light: hsla(0, 0%, 0%, 0.54);
	--md-default-fg-color--lighter: hsla(0, 0%, 0%, 0.32);
	--md-default-fg-color--lightest: hsla(0, 0%, 0%, 0.07);
	--md-default-bg-color: hsla(0, 0%, 100%, 1);
	--md-default-bg-color--light: hsla(0, 0%, 100%, 0.7);
	--md-default-bg-color--lighter: hsla(0, 0%, 100%, 0.3);
	--md-default-bg-color--lightest: hsla(0, 0%, 100%, 0.12);
	--md-primary-fg-color: hsla(231, 48%, 48%, 1);
	--md-primary-fg-color--light: hsla(230, 44%, 64%, 1);
	--md-primary-fg-color--dark: hsla(232, 54%, 41%, 1);
	--md-primary-bg-color: hsla(0, 0%, 100%, 1);
	--md-primary-bg-color--light: hsla(0, 0%, 100%, 0.7);
	--md-accent-fg-color: hsla(231, 99%, 66%, 1);
	--md-accent-fg-color--transparent: hsla(231, 99%, 66%, 0.1);
	--md-accent-bg-color: hsla(0, 0%, 100%, 1);
	--md-accent-bg-color--light: hsla(0, 0%, 100%, 0.7)
}

:root>* {
	--md-code-fg-color: hsla(200, 18%, 26%, 1);
	--md-code-bg-color: hsla(0, 0%, 96%, 1);
	--md-code-hl-color: hsla(60, 100%, 50%, 0.5);
	--md-code-hl-number-color: hsla(0, 67%, 50%, 1);
	--md-code-hl-special-color: hsla(340, 83%, 47%, 1);
	--md-code-hl-function-color: hsla(291, 45%, 50%, 1);
	--md-code-hl-constant-color: hsla(250, 63%, 60%, 1);
	--md-code-hl-keyword-color: hsla(219, 54%, 51%, 1);
	--md-code-hl-string-color: hsla(150, 63%, 30%, 1);
	--md-code-hl-name-color: var(--md-code-fg-color);
	--md-code-hl-operator-color: var(--md-default-fg-color--light);
	--md-code-hl-punctuation-color: var(--md-default-fg-color--light);
	--md-code-hl-comment-color: var(--md-default-fg-color--light);
	--md-code-hl-generic-color: var(--md-default-fg-color--light);
	--md-code-hl-variable-color: var(--md-default-fg-color--light);
	--md-typeset-color: var(--md-default-fg-color);
	--md-typeset-a-color: var(--md-primary-fg-color);
	--md-typeset-mark-color: hsla(60, 100%, 50%, 0.5);
	--md-typeset-del-color: hsla(6, 90%, 60%, 0.15);
	--md-typeset-ins-color: hsla(150, 90%, 44%, 0.15);
	--md-typeset-kbd-color: hsla(0, 0%, 98%, 1);
	--md-typeset-kbd-accent-color: hsla(0, 100%, 100%, 1);
	--md-typeset-kbd-border-color: hsla(0, 0%, 72%, 1);
	--md-admonition-fg-color: var(--md-default-fg-color);
	--md-admonition-bg-color: var(--md-default-bg-color);
	--md-footer-fg-color: hsla(0, 0%, 100%, 1);
	--md-footer-fg-color--light: hsla(0, 0%, 100%, 0.7);
	--md-footer-fg-color--lighter: hsla(0, 0%, 100%, 0.3);
	--md-footer-bg-color: hsla(0, 0%, 0%, 0.87);
	--md-footer-bg-color--dark: hsla(0, 0%, 0%, 0.32)
}

.md-icon svg {
	display: block;
	width: 1.2rem;
	height: 1.2rem;
	margin: 0 auto;
	fill: currentColor
}

body {
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale
}

body,
input {
	color: var(--md-typeset-color);
	font-feature-settings: "kern", "liga";
	font-family: -apple-system, BlinkMacSystemFont, Helvetica, Arial, sans-serif
}

code,
pre,
kbd {
	color: var(--md-typeset-color);
	font-feature-settings: "kern";
	font-family: SFMono-Regular, Consolas, Menlo, monospace
}

:root {
	--md-typeset-table--ascending: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M11 4h2v12l5.5-5.5 1.42 1.42L12 19.84l-7.92-7.92L5.5 10.5 11 16V4z"/></svg>');
	--md-typeset-table--descending: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M13 20h-2V8l-5.5 5.5-1.42-1.42L12 4.16l7.92 7.92-1.42 1.42L13 8v12z"/></svg>')
}

.md-typeset {
	font-size: .8rem;
	line-height: 1.6;
	-webkit-print-color-adjust: exact;
	color-adjust: exact
}

@media print {
	.md-typeset {
		font-size: .68rem
	}
}

.md-typeset p,
.md-typeset ul,
.md-typeset ol,
.md-typeset blockquote {
	margin: 1em 0
}

.md-typeset h1 {
	margin: 0 0 1.25em;
	color: var(--md-default-fg-color--light);
	font-weight: 300;
	font-size: 2em;
	line-height: 1.3;
	letter-spacing: -0.01em
}

.md-typeset h2 {
	margin: 1.6em 0 .64em;
	font-weight: 300;
	font-size: 1.5625em;
	line-height: 1.4;
	letter-spacing: -0.01em
}

.md-typeset h3 {
	margin: 1.6em 0 .8em;
	font-weight: 400;
	font-size: 1.25em;
	line-height: 1.5;
	letter-spacing: -0.01em
}

.md-typeset h2+h3 {
	margin-top: .8em
}

.md-typeset h4 {
	margin: 1em 0;
	font-weight: 700;
	letter-spacing: -0.01em
}

.md-typeset h5,
.md-typeset h6 {
	margin: 1.25em 0;
	color: var(--md-default-fg-color--light);
	font-weight: 700;
	font-size: .8em;
	letter-spacing: -0.01em
}

.md-typeset h5 {
	text-transform: uppercase
}

.md-typeset hr {
	margin: 1.5em 0;
	border-bottom: .05rem dotted var(--md-default-fg-color--lighter)
}

.md-typeset a {
	color: var(--md-typeset-a-color);
	word-break: break-word
}

.md-typeset a,
.md-typeset a::before {
	transition: color 125ms
}

.md-typeset a:focus,
.md-typeset a:hover {
	color: var(--md-accent-fg-color)
}

.md-typeset code,
.md-typeset pre,
.md-typeset kbd {
	color: var(--md-code-fg-color);
	direction: ltr
}

@media print {
	.md-typeset code,
	.md-typeset pre,
	.md-typeset kbd {
		white-space: pre-wrap
	}
}

.md-typeset code {
	padding: 0 .2941176471em;
	font-size: .85em;
	word-break: break-word;
	background-color: var(--md-code-bg-color);
	border-radius: .1rem;
	-webkit-box-decoration-break: clone;
	box-decoration-break: clone
}

.md-typeset h1 code,
.md-typeset h2 code,
.md-typeset h3 code,
.md-typeset h4 code,
.md-typeset h5 code,
.md-typeset h6 code {
	margin: initial;
	padding: initial;
	background-color: transparent;
	box-shadow: none
}

.md-typeset a>code {
	color: currentColor
}

.md-typeset pre {
	position: relative;
	margin: 1em 0;
	line-height: 1.4
}

.md-typeset pre>code {
	display: block;
	margin: 0;
	padding: .7720588235em 1.1764705882em;
	overflow: auto;
	word-break: normal;
	box-shadow: none;
	-webkit-box-decoration-break: slice;
	box-decoration-break: slice;
	touch-action: auto;
	scrollbar-width: thin;
	scrollbar-color: var(--md-default-fg-color--lighter) transparent
}

.md-typeset pre>code:hover {
	scrollbar-color: var(--md-accent-fg-color) transparent
}

.md-typeset pre>code::-webkit-scrollbar {
	width: .2rem;
	height: .2rem
}

.md-typeset pre>code::-webkit-scrollbar-thumb {
	background-color: var(--md-default-fg-color--lighter)
}

.md-typeset pre>code::-webkit-scrollbar-thumb:hover {
	background-color: var(--md-accent-fg-color)
}

@media screen and (max-width: 44.9375em) {
	.md-typeset>pre {
		margin: 1em -0.8rem
	}
	.md-typeset>pre code {
		border-radius: 0
	}
}

.md-typeset kbd {
	display: inline-block;
	padding: 0 .6666666667em;
	color: var(--md-default-fg-color);
	font-size: .75em;
	vertical-align: text-top;
	word-break: break-word;
	background-color: var(--md-typeset-kbd-color);
	border-radius: .1rem;
	box-shadow: 0 .1rem 0 .05rem var(--md-typeset-kbd-border-color), 0 .1rem 0 var(--md-typeset-kbd-border-color), 0 -0.1rem .2rem var(--md-typeset-kbd-accent-color) inset
}

.md-typeset mark {
	color: inherit;
	word-break: break-word;
	background-color: var(--md-typeset-mark-color);
	-webkit-box-decoration-break: clone;
	box-decoration-break: clone
}

.md-typeset abbr {
	text-decoration: none;
	border-bottom: .05rem dotted var(--md-default-fg-color--light);
	cursor: help
}

@media(hover: none) {
	.md-typeset abbr {
		position: relative
	}
	.md-typeset abbr[title]:focus::after,
	.md-typeset abbr[title]:hover::after {
		box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .14), 0 1px 5px 0 rgba(0, 0, 0, .12), 0 3px 1px -2px rgba(0, 0, 0, .2);
		position: absolute;
		left: 0;
		display: inline-block;
		width: auto;
		min-width: -webkit-max-content;
		min-width: -moz-max-content;
		min-width: max-content;
		max-width: 80%;
		margin-top: 2em;
		padding: .2rem .3rem;
		color: var(--md-default-bg-color);
		font-size: .7rem;
		background: var(--md-default-fg-color);
		border-radius: .1rem;
		content: attr(title)
	}
}

.md-typeset small {
	opacity: .75
}

.md-typeset sup,
.md-typeset sub {
	margin-left: .078125em
}

[dir=rtl] .md-typeset sup,
[dir=rtl] .md-typeset sub {
	margin-right: .078125em;
	margin-left: initial
}

.md-typeset blockquote {
	padding-left: .6rem;
	color: var(--md-default-fg-color--light);
	border-left: .2rem solid var(--md-default-fg-color--lighter)
}

[dir=rtl] .md-typeset blockquote {
	padding-right: .6rem;
	padding-left: initial;
	border-right: .2rem solid var(--md-default-fg-color--lighter);
	border-left: initial
}

.md-typeset ul {
	list-style-type: disc
}

.md-typeset ul,
.md-typeset ol {
	margin-left: .625em;
	padding: 0
}

[dir=rtl] .md-typeset ul,
[dir=rtl] .md-typeset ol {
	margin-right: .625em;
	margin-left: initial
}

.md-typeset ul ol,
.md-typeset ol ol {
	list-style-type: lower-alpha
}

.md-typeset ul ol ol,
.md-typeset ol ol ol {
	list-style-type: lower-roman
}

.md-typeset ul li,
.md-typeset ol li {
	margin-bottom: .5em;
	margin-left: 1.25em
}

[dir=rtl] .md-typeset ul li,
[dir=rtl] .md-typeset ol li {
	margin-right: 1.25em;
	margin-left: initial
}

.md-typeset ul li p,
.md-typeset ul li blockquote,
.md-typeset ol li p,
.md-typeset ol li blockquote {
	margin: .5em 0
}

.md-typeset ul li:last-child,
.md-typeset ol li:last-child {
	margin-bottom: 0
}

.md-typeset ul li ul,
.md-typeset ul li ol,
.md-typeset ol li ul,
.md-typeset ol li ol {
	margin: .5em 0 .5em .625em
}

[dir=rtl] .md-typeset ul li ul,
[dir=rtl] .md-typeset ul li ol,
[dir=rtl] .md-typeset ol li ul,
[dir=rtl] .md-typeset ol li ol {
	margin-right: .625em;
	margin-left: initial
}

.md-typeset dd {
	margin: 1em 0 1.5em 1.875em
}

[dir=rtl] .md-typeset dd {
	margin-right: 1.875em;
	margin-left: initial
}

.md-typeset img,
.md-typeset svg {
	max-width: 100%;
	height: auto
}

.md-typeset img[align=left],
.md-typeset svg[align=left] {
	margin: 1em;
	margin-left: 0
}

.md-typeset img[align=right],
.md-typeset svg[align=right] {
	margin: 1em;
	margin-right: 0
}

.md-typeset img[align]:only-child,
.md-typeset svg[align]:only-child {
	margin-top: 0
}

.md-typeset figure {
	width: -webkit-fit-content;
	width: -moz-fit-content;
	width: fit-content;
	max-width: 100%;
	margin: 0 auto;
	text-align: center
}

.md-typeset figcaption {
	max-width: 24rem;
	margin: .5em auto 2em;
	font-style: italic
}

.md-typeset iframe {
	max-width: 100%
}

.md-typeset table:not([class]) {
	display: inline-block;
	max-width: 100%;
	overflow: auto;
	font-size: .64rem;
	background: var(--md-default-bg-color);
	border-radius: .1rem;
	box-shadow: 0 .2rem .5rem rgba(0, 0, 0, .05), 0 0 .05rem rgba(0, 0, 0, .1);
	touch-action: auto
}

@media print {
	.md-typeset table:not([class]) {
		display: table
	}
}

.md-typeset table:not([class])+* {
	margin-top: 1.5em
}

.md-typeset table:not([class]) th>*:first-child,
.md-typeset table:not([class]) td>*:first-child {
	margin-top: 0
}

.md-typeset table:not([class]) th>*:last-child,
.md-typeset table:not([class]) td>*:last-child {
	margin-bottom: 0
}

.md-typeset table:not([class]) th:not([align]),
.md-typeset table:not([class]) td:not([align]) {
	text-align: left
}

[dir=rtl] .md-typeset table:not([class]) th:not([align]),
[dir=rtl] .md-typeset table:not([class]) td:not([align]) {
	text-align: right
}

.md-typeset table:not([class]) th {
	min-width: 5rem;
	padding: .9375em 1.25em;
	color: var(--md-default-bg-color);
	vertical-align: top;
	background-color: var(--md-default-fg-color--light)
}

.md-typeset table:not([class]) th a {
	color: inherit
}

.md-typeset table:not([class]) td {
	padding: .9375em 1.25em;
	vertical-align: top;
	border-top: .05rem solid var(--md-default-fg-color--lightest)
}

.md-typeset table:not([class]) tr {
	transition: background-color 125ms
}

.md-typeset table:not([class]) tr:hover {
	background-color: rgba(0, 0, 0, .035);
	box-shadow: 0 .05rem 0 var(--md-default-bg-color) inset
}

.md-typeset table:not([class]) tr:first-child td {
	border-top: 0
}

.md-typeset table:not([class]) a {
	word-break: normal
}

.md-typeset table th[role=columnheader] {
	cursor: pointer
}

.md-typeset table th[role=columnheader]::after {
	display: inline-block;
	width: 1.2em;
	height: 1.2em;
	margin-left: .5em;
	vertical-align: sub;
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
	content: " "
}

.md-typeset table th[role=columnheader][aria-sort=ascending]::after {
	background-color: currentColor;
	-webkit-mask-image: var(--md-typeset-table--ascending);
	mask-image: var(--md-typeset-table--ascending)
}

.md-typeset table th[role=columnheader][aria-sort=descending]::after {
	background-color: currentColor;
	-webkit-mask-image: var(--md-typeset-table--descending);
	mask-image: var(--md-typeset-table--descending)
}

.md-typeset__scrollwrap {
	margin: 1em -0.8rem;
	overflow-x: auto;
	touch-action: auto
}

.md-typeset__table {
	display: inline-block;
	margin-bottom: .5em;
	padding: 0 .8rem
}

@media print {
	.md-typeset__table {
		display: block
	}
}

html .md-typeset__table table {
	display: table;
	width: 100%;
	margin: 0;
	overflow: hidden
}

html {
	height: 100%;
	overflow-x: hidden;
	font-size: 125%
}

@media screen and (min-width: 100em) {
	html {
		font-size: 137.5%
	}
}

@media screen and (min-width: 125em) {
	html {
		font-size: 150%
	}
}

body {
	position: relative;
	display: flex;
	flex-direction: column;
	width: 100%;
	min-height: 100%;
	font-size: .5rem;
	background-color: var(--md-default-bg-color)
}

@media screen and (max-width: 59.9375em) {
	body[data-md-state=lock] {
		position: fixed
	}
}

@media print {
	body {
		display: block
	}
}

hr {
	display: block;
	height: .05rem;
	padding: 0;
	border: 0
}

.md-grid {
	max-width: 61rem;
	margin-right: auto;
	margin-left: auto
}

.md-container {
	display: flex;
	flex-direction: column;
	flex-grow: 1
}

@media print {
	.md-container {
		display: block
	}
}

.md-main {
	flex-grow: 1
}

.md-main__inner {
	display: flex;
	height: 100%;
	margin-top: 1.5rem
}

.md-ellipsis {
	display: block;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis
}

.md-toggle {
	display: none
}

.md-overlay {
	position: fixed;
	top: 0;
	z-index: 3;
	width: 0;
	height: 0;
	background-color: rgba(0, 0, 0, .54);
	opacity: 0;
	transition: width 0ms 250ms, height 0ms 250ms, opacity 250ms
}

@media screen and (max-width: 76.1875em) {
	[data-md-toggle=drawer]:checked~.md-overlay {
		width: 100%;
		height: 100%;
		opacity: 1;
		transition: width 0ms, height 0ms, opacity 250ms
	}
}

.md-skip {
	position: fixed;
	z-index: -1;
	margin: .5rem;
	padding: .3rem .5rem;
	color: var(--md-default-bg-color);
	font-size: .64rem;
	background-color: var(--md-default-fg-color);
	border-radius: .1rem;
	transform: translateY(0.4rem);
	opacity: 0
}

.md-skip:focus {
	z-index: 10;
	transform: translateY(0);
	opacity: 1;
	transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1), opacity 175ms 75ms
}

@page {
	margin: 25mm
}

.md-announce {
	overflow: auto;
	background-color: var(--md-footer-bg-color)
}

.md-announce__inner {
	margin: .6rem auto;
	padding: 0 .8rem;
	color: var(--md-footer-fg-color);
	font-size: .7rem
}

@media print {
	.md-announce {
		display: none
	}
}

.md-typeset .md-button {
	display: inline-block;
	padding: .625em 2em;
	color: var(--md-primary-fg-color);
	font-weight: 700;
	border: .1rem solid currentColor;
	border-radius: .1rem;
	transition: color 125ms, background-color 125ms, border-color 125ms
}

.md-typeset .md-button--primary {
	color: var(--md-primary-bg-color);
	background-color: var(--md-primary-fg-color);
	border-color: var(--md-primary-fg-color)
}

.md-typeset .md-button:focus,
.md-typeset .md-button:hover {
	color: var(--md-accent-bg-color);
	background-color: var(--md-accent-fg-color);
	border-color: var(--md-accent-fg-color)
}

:root {
	--md-clipboard-icon: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M19 21H8V7h11m0-2H8a2 2 0 00-2 2v14a2 2 0 002 2h11a2 2 0 002-2V7a2 2 0 00-2-2m-3-4H4a2 2 0 00-2 2v14h2V3h12V1z"/></svg>')
}

.md-clipboard {
	position: absolute;
	top: .5em;
	right: .5em;
	z-index: 1;
	width: 1.5em;
	height: 1.5em;
	color: var(--md-default-fg-color--lightest);
	border-radius: .1rem;
	cursor: pointer;
	transition: color 125ms
}

@media print {
	.md-clipboard {
		display: none
	}
}

.md-clipboard::after {
	display: block;
	width: 1.125em;
	height: 1.125em;
	margin: 0 auto;
	background-color: currentColor;
	-webkit-mask-image: var(--md-clipboard-icon);
	mask-image: var(--md-clipboard-icon);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
	content: ""
}

pre:hover .md-clipboard {
	color: var(--md-default-fg-color--light)
}

pre .md-clipboard:focus,
pre .md-clipboard:hover {
	color: var(--md-accent-fg-color)
}

.md-content {
	flex: 1;
	max-width: 100%
}

@media screen and (min-width: 60em)and (max-width: 76.1875em) {
	.md-content {
		max-width: calc(100% - 12.1rem)
	}
}

@media screen and (min-width: 76.25em) {
	.md-content {
		max-width: calc(100% - 12.1rem * 2)
	}
}

.md-content__inner {
	margin: 0 .8rem 1.2rem;
	padding-top: .6rem
}

@media screen and (min-width: 76.25em) {
	.md-content__inner {
		margin-right: 1.2rem;
		margin-left: 1.2rem
	}
}

.md-content__inner::before {
	display: block;
	height: .4rem;
	content: ""
}

.md-content__inner>:last-child {
	margin-bottom: 0
}

.md-content__button {
	float: right;
	margin: .4rem 0;
	margin-left: .4rem;
	padding: 0
}

[dir=rtl] .md-content__button {
	float: left;
	margin-right: .4rem;
	margin-left: initial
}

[dir=rtl] .md-content__button svg {
	transform: scaleX(-1)
}

.md-typeset .md-content__button {
	color: var(--md-default-fg-color--lighter)
}

.md-content__button svg {
	display: inline;
	vertical-align: top
}

@media print {
	.md-content__button {
		display: none
	}
}

.md-dialog {
	box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .14), 0 1px 5px 0 rgba(0, 0, 0, .12), 0 3px 1px -2px rgba(0, 0, 0, .2);
	position: fixed;
	right: .8rem;
	bottom: .8rem;
	left: initial;
	z-index: 2;
	display: block;
	min-width: 11.1rem;
	padding: .4rem .6rem;
	color: var(--md-default-bg-color);
	font-size: .7rem;
	background: var(--md-default-fg-color);
	border: none;
	border-radius: .1rem;
	transform: translateY(100%);
	opacity: 0;
	transition: transform 0ms 400ms, opacity 400ms
}

[dir=rtl] .md-dialog {
	right: initial;
	left: .8rem
}

.md-dialog[data-md-state=open] {
	transform: translateY(0);
	opacity: 1;
	transition: transform 400ms cubic-bezier(0.075, 0.85, 0.175, 1), opacity 400ms
}

@media print {
	.md-dialog {
		display: none
	}
}

.md-header {
	position: -webkit-sticky;
	position: sticky;
	top: 0;
	right: 0;
	left: 0;
	z-index: 2;
	height: 2.4rem;
	color: var(--md-primary-bg-color);
	background-color: var(--md-primary-fg-color);
	box-shadow: 0 0 .2rem rgba(0, 0, 0, 0), 0 .2rem .4rem rgba(0, 0, 0, 0);
	transition: color 250ms, background-color 250ms
}

.no-js .md-header {
	box-shadow: none;
	transition: none
}

.md-header[data-md-state=shadow] {
	box-shadow: 0 0 .2rem rgba(0, 0, 0, .1), 0 .2rem .4rem rgba(0, 0, 0, .2);
	transition: color 250ms, background-color 250ms, box-shadow 250ms
}

@media print {
	.md-header {
		display: none
	}
}

.md-header-nav {
	display: flex;
	padding: 0 .2rem
}

.md-header-nav__button {
	position: relative;
	z-index: 1;
	display: block;
	margin: .2rem;
	padding: .4rem;
	cursor: pointer;
	transition: opacity 250ms
}

[dir=rtl] .md-header-nav__button svg {
	transform: scaleX(-1)
}

.md-header-nav__button:focus,
.md-header-nav__button:hover {
	opacity: .7
}

.md-header-nav__button.md-logo {
	margin: .2rem;
	padding: .4rem
}

.md-header-nav__button.md-logo img,
.md-header-nav__button.md-logo svg {
	display: block;
	height: 1.2rem;
	fill: currentColor
}

.no-js .md-header-nav__button[for=__search] {
	display: none
}

@media screen and (min-width: 60em) {
	.md-header-nav__button[for=__search] {
		display: none
	}
}

@media screen and (max-width: 76.1875em) {
	.md-header-nav__button.md-logo {
		display: none
	}
}

@media screen and (min-width: 76.25em) {
	.md-header-nav__button[for=__drawer] {
		display: none
	}
}

.md-header-nav__topic {
	position: absolute;
	width: 100%;
	transition: transform 400ms cubic-bezier(0.1, 0.7, 0.1, 1), opacity 150ms
}

.md-header-nav__topic+.md-header-nav__topic {
	z-index: -1;
	transform: translateX(1.25rem);
	opacity: 0;
	transition: transform 400ms cubic-bezier(1, 0.7, 0.1, 0.1), opacity 150ms;
	pointer-events: none
}

[dir=rtl] .md-header-nav__topic+.md-header-nav__topic {
	transform: translateX(-1.25rem)
}

.no-js .md-header-nav__topic {
	position: initial
}

.no-js .md-header-nav__topic+.md-header-nav__topic {
	display: none
}

.md-header-nav__title {
	flex-grow: 1;
	padding: 0 1rem;
	font-size: .9rem;
	line-height: 2.4rem
}

.md-header-nav__title[data-md-state=active] .md-header-nav__topic {
	z-index: -1;
	transform: translateX(-1.25rem);
	opacity: 0;
	transition: transform 400ms cubic-bezier(1, 0.7, 0.1, 0.1), opacity 150ms;
	pointer-events: none
}

[dir=rtl] .md-header-nav__title[data-md-state=active] .md-header-nav__topic {
	transform: translateX(1.25rem)
}

.md-header-nav__title[data-md-state=active] .md-header-nav__topic+.md-header-nav__topic {
	z-index: 0;
	transform: translateX(0);
	opacity: 1;
	transition: transform 400ms cubic-bezier(0.1, 0.7, 0.1, 1), opacity 150ms;
	pointer-events: initial
}

.md-header-nav__title>.md-header-nav__ellipsis {
	position: relative;
	width: 100%;
	height: 100%
}

.md-header-nav__source {
	display: none
}

@media screen and (min-width: 60em) {
	.md-header-nav__source {
		display: block;
		width: 11.7rem;
		max-width: 11.7rem;
		margin-left: 1rem
	}
	[dir=rtl] .md-header-nav__source {
		margin-right: 1rem;
		margin-left: initial
	}
}

@media screen and (min-width: 76.25em) {
	.md-header-nav__source {
		margin-left: 1.4rem
	}
	[dir=rtl] .md-header-nav__source {
		margin-right: 1.4rem
	}
}

.md-footer {
	color: var(--md-footer-fg-color);
	background-color: var(--md-footer-bg-color)
}

@media print {
	.md-footer {
		display: none
	}
}

.md-footer-nav__inner {
	padding: .2rem;
	overflow: auto
}

.md-footer-nav__link {
	display: flex;
	padding-top: 1.4rem;
	padding-bottom: .4rem;
	transition: opacity 250ms
}

@media screen and (min-width: 45em) {
	.md-footer-nav__link {
		width: 50%
	}
}

.md-footer-nav__link:focus,
.md-footer-nav__link:hover {
	opacity: .7
}

.md-footer-nav__link--prev {
	float: left
}

[dir=rtl] .md-footer-nav__link--prev {
	float: right
}

[dir=rtl] .md-footer-nav__link--prev svg {
	transform: scaleX(-1)
}

@media screen and (max-width: 44.9375em) {
	.md-footer-nav__link--prev {
		width: 25%
	}
	.md-footer-nav__link--prev .md-footer-nav__title {
		display: none
	}
}

.md-footer-nav__link--next {
	float: right;
	text-align: right
}

[dir=rtl] .md-footer-nav__link--next {
	float: left;
	text-align: left
}

[dir=rtl] .md-footer-nav__link--next svg {
	transform: scaleX(-1)
}

@media screen and (max-width: 44.9375em) {
	.md-footer-nav__link--next {
		width: 75%
	}
}

.md-footer-nav__title {
	position: relative;
	flex-grow: 1;
	max-width: calc(100% - 2.4rem);
	padding: 0 1rem;
	font-size: .9rem;
	line-height: 2.4rem
}

.md-footer-nav__button {
	margin: .2rem;
	padding: .4rem
}

.md-footer-nav__direction {
	position: absolute;
	right: 0;
	left: 0;
	margin-top: -1rem;
	padding: 0 1rem;
	font-size: .64rem;
	opacity: .7
}

.md-footer-meta {
	background-color: var(--md-footer-bg-color--dark)
}

.md-footer-meta__inner {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	padding: .2rem
}

html .md-footer-meta.md-typeset a {
	color: var(--md-footer-fg-color--light)
}

html .md-footer-meta.md-typeset a:focus,
html .md-footer-meta.md-typeset a:hover {
	color: var(--md-footer-fg-color)
}

.md-footer-copyright {
	width: 100%;
	margin: auto .6rem;
	padding: .4rem 0;
	color: var(--md-footer-fg-color--lighter);
	font-size: .64rem
}

@media screen and (min-width: 45em) {
	.md-footer-copyright {
		width: auto
	}
}

.md-footer-copyright__highlight {
	color: var(--md-footer-fg-color--light)
}

.md-footer-social {
	margin: 0 .4rem;
	padding: .2rem 0 .6rem
}

@media screen and (min-width: 45em) {
	.md-footer-social {
		padding: .6rem 0
	}
}

.md-footer-social__link {
	display: inline-block;
	width: 1.6rem;
	height: 1.6rem;
	text-align: center
}

.md-footer-social__link::before {
	line-height: 1.9
}

.md-footer-social__link svg {
	max-height: .8rem;
	vertical-align: -25%;
	fill: currentColor
}

:root {
	--md-nav-icon--prev: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"/></svg>');
	--md-nav-icon--next: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M8.59 16.58L13.17 12 8.59 7.41 10 6l6 6-6 6-1.41-1.42z"/></svg>');
	--md-toc-icon: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M3 9h14V7H3v2m0 4h14v-2H3v2m0 4h14v-2H3v2m16 0h2v-2h-2v2m0-10v2h2V7h-2m0 6h2v-2h-2v2z"/></svg>')
}

.md-nav {
	font-size: .7rem;
	line-height: 1.3
}

.md-nav__title {
	display: block;
	padding: 0 .6rem;
	overflow: hidden;
	font-weight: 700;
	text-overflow: ellipsis
}

.md-nav__title .md-nav__button {
	display: none
}

.md-nav__title .md-nav__button img {
	width: 100%;
	height: auto
}

.md-nav__title .md-nav__button.md-logo img,
.md-nav__title .md-nav__button.md-logo svg {
	display: block;
	height: 2.4rem
}

.md-nav__title .md-nav__button.md-logo svg {
	fill: currentColor
}

.md-nav__list {
	margin: 0;
	padding: 0;
	list-style: none
}

.md-nav__item {
	padding: 0 .6rem
}

.md-nav__item:last-child {
	padding-bottom: .6rem
}

.md-nav__item .md-nav__item {
	padding-right: 0
}

[dir=rtl] .md-nav__item .md-nav__item {
	padding-right: .6rem;
	padding-left: 0
}

.md-nav__item .md-nav__item:last-child {
	padding-bottom: 0
}

.md-nav__link {
	display: block;
	margin-top: .625em;
	overflow: hidden;
	text-overflow: ellipsis;
	cursor: pointer;
	transition: color 125ms;
	scroll-snap-align: start
}

html .md-nav__link[for=__toc] {
	display: none
}

html .md-nav__link[for=__toc]~.md-nav {
	display: none
}

.md-nav__link[data-md-state=blur] {
	color: var(--md-default-fg-color--light)
}

.md-nav__item .md-nav__link--active {
	color: var(--md-typeset-a-color)
}

.md-nav__item--nested>.md-nav__link {
	color: inherit
}

.md-nav__link:focus,
.md-nav__link:hover {
	color: var(--md-accent-fg-color)
}

.md-nav__source {
	display: none
}

@media screen and (max-width: 76.1875em) {
	.md-nav {
		background-color: var(--md-default-bg-color)
	}
	.md-nav--primary,
	.md-nav--primary .md-nav {
		position: absolute;
		top: 0;
		right: 0;
		left: 0;
		z-index: 1;
		display: flex;
		flex-direction: column;
		height: 100%
	}
	.md-nav--primary .md-nav__title,
	.md-nav--primary .md-nav__item {
		font-size: .8rem;
		line-height: 1.5
	}
	.md-nav--primary .md-nav__title {
		position: relative;
		height: 5.6rem;
		padding: 3rem .8rem .2rem;
		color: var(--md-default-fg-color--light);
		font-weight: 400;
		line-height: 2.4rem;
		white-space: nowrap;
		background-color: var(--md-default-fg-color--lightest);
		cursor: pointer
	}
	.md-nav--primary .md-nav__title .md-nav__icon {
		position: absolute;
		top: .4rem;
		left: .4rem;
		display: block;
		width: 1.2rem;
		height: 1.2rem;
		margin: .2rem
	}
	.md-nav--primary .md-nav__title .md-nav__icon::after {
		display: block;
		width: 100%;
		height: 100%;
		background-color: currentColor;
		-webkit-mask-image: var(--md-nav-icon--prev);
		mask-image: var(--md-nav-icon--prev);
		-webkit-mask-repeat: no-repeat;
		mask-repeat: no-repeat;
		content: ""
	}
	[dir=rtl] .md-nav--primary .md-nav__title .md-nav__icon {
		right: .4rem;
		left: initial
	}
	.md-nav--primary .md-nav__title~.md-nav__list {
		overflow-y: auto;
		background-color: var(--md-default-bg-color);
		box-shadow: 0 .05rem 0 var(--md-default-fg-color--lightest) inset;
		-webkit-scroll-snap-type: y mandatory;
		-ms-scroll-snap-type: y mandatory;
		scroll-snap-type: y mandatory;
		touch-action: pan-y
	}
	.md-nav--primary .md-nav__title~.md-nav__list>.md-nav__item:first-child {
		border-top: 0
	}
	.md-nav--primary .md-nav__title[for=__drawer] {
		position: relative;
		color: var(--md-primary-bg-color);
		background-color: var(--md-primary-fg-color)
	}
	.md-nav--primary .md-nav__title[for=__drawer] .md-nav__button {
		position: absolute;
		top: .2rem;
		left: .2rem;
		display: block;
		margin: .2rem;
		padding: .4rem;
		font-size: 2.4rem
	}
	html [dir=rtl] .md-nav--primary .md-nav__title[for=__drawer] .md-nav__button {
		right: .2rem;
		left: initial
	}
	.md-nav--primary .md-nav__list {
		flex: 1
	}
	.md-nav--primary .md-nav__item {
		padding: 0;
		border-top: .05rem solid var(--md-default-fg-color--lightest)
	}
	[dir=rtl] .md-nav--primary .md-nav__item {
		padding: 0
	}
	.md-nav--primary .md-nav__item--nested>.md-nav__link {
		padding-right: 2.4rem
	}
	[dir=rtl] .md-nav--primary .md-nav__item--nested>.md-nav__link {
		padding-right: .8rem;
		padding-left: 2.4rem
	}
	.md-nav--primary .md-nav__item--active>.md-nav__link {
		color: var(--md-typeset-a-color)
	}
	.md-nav--primary .md-nav__item--active>.md-nav__link:focus,
	.md-nav--primary .md-nav__item--active>.md-nav__link:hover {
		color: var(--md-accent-fg-color)
	}
	.md-nav--primary .md-nav__link {
		position: relative;
		margin-top: 0;
		padding: .6rem .8rem
	}
	.md-nav--primary .md-nav__link .md-nav__icon {
		position: absolute;
		top: 50%;
		right: .6rem;
		width: 1.2rem;
		height: 1.2rem;
		margin-top: -0.6rem;
		color: inherit;
		font-size: 1.2rem
	}
	.md-nav--primary .md-nav__link .md-nav__icon::after {
		display: block;
		width: 100%;
		height: 100%;
		background-color: currentColor;
		-webkit-mask-image: var(--md-nav-icon--next);
		mask-image: var(--md-nav-icon--next);
		-webkit-mask-repeat: no-repeat;
		mask-repeat: no-repeat;
		content: ""
	}
	[dir=rtl] .md-nav--primary .md-nav__link .md-nav__icon {
		right: initial;
		left: .6rem
	}
	[dir=rtl] .md-nav--primary .md-nav__icon::after {
		transform: scale(-1)
	}
	.md-nav--primary .md-nav--secondary .md-nav__link {
		position: static
	}
	.md-nav--primary .md-nav--secondary .md-nav {
		position: static;
		background-color: transparent
	}
	.md-nav--primary .md-nav--secondary .md-nav .md-nav__link {
		padding-left: 1.4rem
	}
	[dir=rtl] .md-nav--primary .md-nav--secondary .md-nav .md-nav__link {
		padding-right: 1.4rem;
		padding-left: initial
	}
	.md-nav--primary .md-nav--secondary .md-nav .md-nav .md-nav__link {
		padding-left: 2rem
	}
	[dir=rtl] .md-nav--primary .md-nav--secondary .md-nav .md-nav .md-nav__link {
		padding-right: 2rem;
		padding-left: initial
	}
	.md-nav--primary .md-nav--secondary .md-nav .md-nav .md-nav .md-nav__link {
		padding-left: 2.6rem
	}
	[dir=rtl] .md-nav--primary .md-nav--secondary .md-nav .md-nav .md-nav .md-nav__link {
		padding-right: 2.6rem;
		padding-left: initial
	}
	.md-nav--primary .md-nav--secondary .md-nav .md-nav .md-nav .md-nav .md-nav__link {
		padding-left: 3.2rem
	}
	[dir=rtl] .md-nav--primary .md-nav--secondary .md-nav .md-nav .md-nav .md-nav .md-nav__link {
		padding-right: 3.2rem;
		padding-left: initial
	}
	.md-nav__toggle~.md-nav {
		display: flex;
		transform: translateX(100%);
		opacity: 0;
		transition: transform 250ms cubic-bezier(0.8, 0, 0.6, 1), opacity 125ms 50ms
	}
	[dir=rtl] .md-nav__toggle~.md-nav {
		transform: translateX(-100%)
	}
	.md-nav__toggle:checked~.md-nav {
		transform: translateX(0);
		opacity: 1;
		transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1), opacity 125ms 125ms
	}
	.md-nav__toggle:checked~.md-nav>.md-nav__list {
		-webkit-backface-visibility: hidden;
		backface-visibility: hidden
	}
}

@media screen and (max-width: 59.9375em) {
	html .md-nav__link[for=__toc] {
		display: block;
		padding-right: 2.4rem
	}
	html .md-nav__link[for=__toc]+.md-nav__link {
		display: none
	}
	html .md-nav__link[for=__toc] .md-icon::after {
		display: block;
		width: 100%;
		height: 100%;
		-webkit-mask-image: var(--md-toc-icon);
		mask-image: var(--md-toc-icon);
		background-color: currentColor;
		content: ""
	}
	html .md-nav__link[for=__toc]~.md-nav {
		display: flex
	}
	html [dir=rtl] .md-nav__link {
		padding-right: .8rem;
		padding-left: 2.4rem
	}
	.md-nav__source {
		display: block;
		padding: 0 .2rem;
		color: var(--md-primary-bg-color);
		background-color: var(--md-primary-fg-color--dark)
	}
}

@media screen and (min-width: 60em) {
	.md-nav--secondary .md-nav__title[for=__toc] {
		scroll-snap-align: start
	}
	.md-nav--secondary .md-nav__title .md-nav__icon {
		display: none
	}
}

@media screen and (min-width: 76.25em) {
	.md-nav {
		transition: max-height 250ms cubic-bezier(0.86, 0, 0.07, 1)
	}
	.md-nav--primary .md-nav__title[for=__drawer] {
		scroll-snap-align: start
	}
	.md-nav--primary .md-nav__title .md-nav__icon {
		display: none
	}
	.md-nav__toggle~.md-nav {
		display: none
	}
	.md-nav__toggle:checked~.md-nav {
		display: block
	}
	.md-nav__item--nested>.md-nav>.md-nav__title {
		display: none
	}
	.md-nav__icon {
		float: right;
		width: .9rem;
		height: .9rem;
		transition: transform 250ms
	}
	[dir=rtl] .md-nav__icon {
		float: left;
		transform: rotate(180deg)
	}
	.md-nav__icon::after {
		display: inline-block;
		width: 100%;
		height: 100%;
		vertical-align: -0.1rem;
		background-color: currentColor;
		-webkit-mask-image: var(--md-nav-icon--next);
		mask-image: var(--md-nav-icon--next);
		-webkit-mask-repeat: no-repeat;
		mask-repeat: no-repeat;
		content: ""
	}
	.md-nav__item--nested .md-nav__toggle:checked~.md-nav__link .md-nav__icon {
		transform: rotate(90deg)
	}
}

:root {
	--md-search-result-icon: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M14 2H6a2 2 0 00-2 2v16a2 2 0 002 2h7c-.41-.25-.8-.56-1.14-.9-.33-.33-.61-.7-.86-1.1H6V4h7v5h5v1.18c.71.16 1.39.43 2 .82V8l-6-6m6.31 16.9c1.33-2.11.69-4.9-1.4-6.22-2.11-1.33-4.91-.68-6.22 1.4-1.34 2.11-.69 4.89 1.4 6.22 1.46.93 3.32.93 4.79.02L22 23.39 23.39 22l-3.08-3.1m-3.81.1a2.5 2.5 0 01-2.5-2.5 2.5 2.5 0 012.5-2.5 2.5 2.5 0 012.5 2.5 2.5 2.5 0 01-2.5 2.5z"/></svg>')
}

.md-search {
	position: relative
}

.no-js .md-search {
	display: none
}

@media screen and (min-width: 60em) {
	.md-search {
		padding: .2rem 0
	}
}

.md-search__overlay {
	z-index: 1;
	opacity: 0
}

@media screen and (max-width: 59.9375em) {
	.md-search__overlay {
		position: absolute;
		top: .2rem;
		left: -2.2rem;
		width: 2rem;
		height: 2rem;
		overflow: hidden;
		background-color: var(--md-default-bg-color);
		border-radius: 1rem;
		transform-origin: center;
		transition: transform 300ms 100ms, opacity 200ms 200ms;
		pointer-events: none
	}
	[dir=rtl] .md-search__overlay {
		right: -2.2rem;
		left: initial
	}
	[data-md-toggle=search]:checked~.md-header .md-search__overlay {
		opacity: 1;
		transition: transform 400ms, opacity 100ms
	}
}

@media screen and (max-width: 29.9375em) {
	[data-md-toggle=search]:checked~.md-header .md-search__overlay {
		transform: scale(45)
	}
}

@media screen and (min-width: 30em)and (max-width: 44.9375em) {
	[data-md-toggle=search]:checked~.md-header .md-search__overlay {
		transform: scale(60)
	}
}

@media screen and (min-width: 45em)and (max-width: 59.9375em) {
	[data-md-toggle=search]:checked~.md-header .md-search__overlay {
		transform: scale(75)
	}
}

@media screen and (min-width: 60em) {
	.md-search__overlay {
		position: fixed;
		top: 0;
		left: 0;
		width: 0;
		height: 0;
		background-color: rgba(0, 0, 0, .54);
		cursor: pointer;
		transition: width 0ms 250ms, height 0ms 250ms, opacity 250ms
	}
	[dir=rtl] .md-search__overlay {
		right: 0;
		left: initial
	}
	[data-md-toggle=search]:checked~.md-header .md-search__overlay {
		width: 100%;
		height: 100%;
		opacity: 1;
		transition: width 0ms, height 0ms, opacity 250ms
	}
}

.md-search__inner {
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden
}

@media screen and (max-width: 59.9375em) {
	.md-search__inner {
		position: fixed;
		top: 0;
		left: 100%;
		z-index: 2;
		width: 100%;
		height: 100%;
		transform: translateX(5%);
		opacity: 0;
		transition: right 0ms 300ms, left 0ms 300ms, transform 150ms 150ms cubic-bezier(0.4, 0, 0.2, 1), opacity 150ms 150ms
	}
	[data-md-toggle=search]:checked~.md-header .md-search__inner {
		left: 0;
		transform: translateX(0);
		opacity: 1;
		transition: right 0ms 0ms, left 0ms 0ms, transform 150ms 150ms cubic-bezier(0.1, 0.7, 0.1, 1), opacity 150ms 150ms
	}
	[dir=rtl] [data-md-toggle=search]:checked~.md-header .md-search__inner {
		right: 0;
		left: initial
	}
	html [dir=rtl] .md-search__inner {
		right: 100%;
		left: initial;
		transform: translateX(-5%)
	}
}

@media screen and (min-width: 60em) {
	.md-search__inner {
		position: relative;
		float: right;
		width: 11.7rem;
		padding: .1rem 0;
		transition: width 250ms cubic-bezier(0.1, 0.7, 0.1, 1)
	}
	[dir=rtl] .md-search__inner {
		float: left
	}
}

@media screen and (min-width: 60em)and (max-width: 76.1875em) {
	[data-md-toggle=search]:checked~.md-header .md-search__inner {
		width: 23.4rem
	}
}

@media screen and (min-width: 76.25em) {
	[data-md-toggle=search]:checked~.md-header .md-search__inner {
		width: 34.4rem
	}
}

.md-search__form {
	position: relative
}

@media screen and (min-width: 60em) {
	.md-search__form {
		border-radius: .1rem
	}
}

.md-search__input {
	position: relative;
	z-index: 2;
	padding: 0 2.2rem 0 3.6rem;
	text-overflow: ellipsis;
	background-color: var(--md-default-bg-color);
	transition: color 250ms, background-color 250ms
}

[dir=rtl] .md-search__input {
	padding: 0 3.6rem 0 2.2rem
}

.md-search__input::-webkit-input-placeholder {
	-webkit-transition: color 250ms;
	transition: color 250ms
}

.md-search__input::-moz-placeholder {
	-moz-transition: color 250ms;
	transition: color 250ms
}

.md-search__input::-ms-input-placeholder {
	-ms-transition: color 250ms;
	transition: color 250ms
}

.md-search__input::placeholder {
	transition: color 250ms
}

.md-search__input::-webkit-input-placeholder {
	color: var(--md-default-fg-color--light)
}

.md-search__input::-moz-placeholder {
	color: var(--md-default-fg-color--light)
}

.md-search__input::-ms-input-placeholder {
	color: var(--md-default-fg-color--light)
}

.md-search__input~.md-search__icon,
.md-search__input::placeholder {
	color: var(--md-default-fg-color--light)
}

.md-search__input::-ms-clear {
	display: none
}

@media screen and (max-width: 59.9375em) {
	.md-search__input {
		width: 100%;
		height: 2.4rem;
		font-size: .9rem
	}
}

@media screen and (min-width: 60em) {
	.md-search__input {
		width: 100%;
		height: 1.8rem;
		padding-left: 2.2rem;
		color: inherit;
		font-size: .8rem;
		background-color: rgba(0, 0, 0, .26);
		border-radius: .1rem
	}
	[dir=rtl] .md-search__input {
		padding-right: 2.2rem
	}
	.md-search__input+.md-search__icon {
		color: var(--md-primary-bg-color)
	}
	.md-search__input::-webkit-input-placeholder {
		color: var(--md-primary-bg-color--light)
	}
	.md-search__input::-moz-placeholder {
		color: var(--md-primary-bg-color--light)
	}
	.md-search__input::-ms-input-placeholder {
		color: var(--md-primary-bg-color--light)
	}
	.md-search__input::placeholder {
		color: var(--md-primary-bg-color--light)
	}
	.md-search__input:hover {
		background-color: rgba(255, 255, 255, .12)
	}
	[data-md-toggle=search]:checked~.md-header .md-search__input {
		color: var(--md-default-fg-color);
		text-overflow: clip;
		background-color: var(--md-default-bg-color);
		border-radius: .1rem .1rem 0 0
	}
	[data-md-toggle=search]:checked~.md-header .md-search__input::-webkit-input-placeholder {
		color: var(--md-default-fg-color--light)
	}
	[data-md-toggle=search]:checked~.md-header .md-search__input::-moz-placeholder {
		color: var(--md-default-fg-color--light)
	}
	[data-md-toggle=search]:checked~.md-header .md-search__input::-ms-input-placeholder {
		color: var(--md-default-fg-color--light)
	}
	[data-md-toggle=search]:checked~.md-header .md-search__input+.md-search__icon,
	[data-md-toggle=search]:checked~.md-header .md-search__input::placeholder {
		color: var(--md-default-fg-color--light)
	}
}

.md-search__icon {
	position: absolute;
	z-index: 2;
	width: 1.2rem;
	height: 1.2rem;
	cursor: pointer;
	transition: color 250ms, opacity 250ms
}

.md-search__icon:hover {
	opacity: .7
}

.md-search__icon[for=__search] {
	top: .3rem;
	left: .5rem
}

[dir=rtl] .md-search__icon[for=__search] {
	right: .5rem;
	left: initial
}

[dir=rtl] .md-search__icon[for=__search] svg {
	transform: scaleX(-1)
}

@media screen and (max-width: 59.9375em) {
	.md-search__icon[for=__search] {
		top: .6rem;
		left: .8rem
	}
	[dir=rtl] .md-search__icon[for=__search] {
		right: .8rem;
		left: initial
	}
	.md-search__icon[for=__search] svg:first-child {
		display: none
	}
}

@media screen and (min-width: 60em) {
	.md-search__icon[for=__search] {
		pointer-events: none
	}
	.md-search__icon[for=__search] svg:last-child {
		display: none
	}
}

.md-search__icon[type=reset] {
	top: .3rem;
	right: .5rem;
	transform: scale(0.75);
	opacity: 0;
	transition: transform 150ms cubic-bezier(0.1, 0.7, 0.1, 1), opacity 150ms;
	pointer-events: none
}

[dir=rtl] .md-search__icon[type=reset] {
	right: initial;
	left: .5rem
}

@media screen and (max-width: 59.9375em) {
	.md-search__icon[type=reset] {
		top: .6rem;
		right: .8rem
	}
	[dir=rtl] .md-search__icon[type=reset] {
		right: initial;
		left: .8rem
	}
}

[data-md-toggle=search]:checked~.md-header .md-search__input:not(:-moz-placeholder-shown)~.md-search__icon[type=reset] {
	transform: scale(1);
	opacity: 1;
	pointer-events: initial
}

[data-md-toggle=search]:checked~.md-header .md-search__input:not(:placeholder-shown)~.md-search__icon[type=reset] {
	transform: scale(1);
	opacity: 1;
	pointer-events: initial
}

[data-md-toggle=search]:checked~.md-header .md-search__input:not(:-moz-placeholder-shown)~.md-search__icon[type=reset]:hover {
	opacity: .7
}

[data-md-toggle=search]:checked~.md-header .md-search__input:not(:placeholder-shown)~.md-search__icon[type=reset]:hover {
	opacity: .7
}

.md-search__output {
	position: absolute;
	z-index: 1;
	width: 100%;
	overflow: hidden;
	border-radius: 0 0 .1rem .1rem
}

@media screen and (max-width: 59.9375em) {
	.md-search__output {
		top: 2.4rem;
		bottom: 0
	}
}

@media screen and (min-width: 60em) {
	.md-search__output {
		top: 1.9rem;
		opacity: 0;
		transition: opacity 400ms
	}
	[data-md-toggle=search]:checked~.md-header .md-search__output {
		box-shadow: 0 6px 10px 0 rgba(0, 0, 0, .14), 0 1px 18px 0 rgba(0, 0, 0, .12), 0 3px 5px -1px rgba(0, 0, 0, .4);
		opacity: 1
	}
}

.md-search__scrollwrap {
	height: 100%;
	overflow-y: auto;
	background-color: var(--md-default-bg-color);
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
	-webkit-scroll-snap-type: y mandatory;
	-ms-scroll-snap-type: y mandatory;
	scroll-snap-type: y mandatory;
	touch-action: pan-y
}

@media(-webkit-max-device-pixel-ratio: 1),
(max-resolution: 1dppx) {
	.md-search__scrollwrap {
		transform: translateZ(0)
	}
}

@media screen and (min-width: 60em)and (max-width: 76.1875em) {
	.md-search__scrollwrap {
		width: 23.4rem
	}
}

@media screen and (min-width: 76.25em) {
	.md-search__scrollwrap {
		width: 34.4rem
	}
}

@media screen and (min-width: 60em) {
	.md-search__scrollwrap {
		max-height: 0;
		scrollbar-width: thin;
		scrollbar-color: var(--md-default-fg-color--lighter) transparent
	}
	[data-md-toggle=search]:checked~.md-header .md-search__scrollwrap {
		max-height: 75vh
	}
	.md-search__scrollwrap:hover {
		scrollbar-color: var(--md-accent-fg-color) transparent
	}
	.md-search__scrollwrap::-webkit-scrollbar {
		width: .2rem;
		height: .2rem
	}
	.md-search__scrollwrap::-webkit-scrollbar-thumb {
		background-color: var(--md-default-fg-color--lighter)
	}
	.md-search__scrollwrap::-webkit-scrollbar-thumb:hover {
		background-color: var(--md-accent-fg-color)
	}
}

.md-search-result {
	color: var(--md-default-fg-color);
	word-break: break-word
}

.md-search-result__meta {
	padding: 0 .8rem;
	color: var(--md-default-fg-color--light);
	font-size: .64rem;
	line-height: 1.8rem;
	background-color: var(--md-default-fg-color--lightest);
	scroll-snap-align: start
}

@media screen and (min-width: 60em) {
	.md-search-result__meta {
		padding-left: 2.2rem
	}
	[dir=rtl] .md-search-result__meta {
		padding-right: 2.2rem;
		padding-left: initial
	}
}

.md-search-result__list {
	margin: 0;
	padding: 0;
	list-style: none
}

.md-search-result__item {
	box-shadow: 0 -0.05rem 0 var(--md-default-fg-color--lightest)
}

.md-search-result__item:first-child {
	box-shadow: none
}

.md-search-result__link {
	display: block;
	outline: none;
	transition: background 250ms;
	scroll-snap-align: start
}

.md-search-result__link:focus,
.md-search-result__link:hover {
	background-color: var(--md-accent-fg-color--transparent)
}

.md-search-result__link:focus .md-search-result__article::before,
.md-search-result__link:hover .md-search-result__article::before {
	opacity: .7
}

.md-search-result__link:last-child p:last-child {
	margin-bottom: .6rem
}

.md-search-result__more summary {
	display: block;
	padding: .75em .8rem;
	color: var(--md-typeset-a-color);
	font-size: .64rem;
	outline: 0;
	cursor: pointer;
	transition: color 250ms, background-color 250ms;
	scroll-snap-align: start
}

.md-search-result__more summary:focus,
.md-search-result__more summary:hover {
	color: var(--md-accent-fg-color);
	background-color: var(--md-accent-fg-color--transparent)
}

@media screen and (min-width: 60em) {
	.md-search-result__more summary {
		padding-left: 2.2rem
	}
	[dir=rtl] .md-search-result__more summary {
		padding-right: 2.2rem;
		padding-left: .8rem
	}
}

.md-search-result__more summary::-webkit-details-marker {
	display: none
}

.md-search-result__more summary~*>* {
	opacity: .65
}

.md-search-result__article {
	position: relative;
	padding: 0 .8rem;
	overflow: hidden
}

@media screen and (min-width: 60em) {
	.md-search-result__article {
		padding-left: 2.2rem
	}
	[dir=rtl] .md-search-result__article {
		padding-right: 2.2rem;
		padding-left: .8rem
	}
}

.md-search-result__article--document .md-search-result__title {
	margin: .55rem 0;
	font-weight: 400;
	font-size: .8rem;
	line-height: 1.4
}

.md-search-result__icon {
	position: absolute;
	left: 0;
	width: 1.2rem;
	height: 1.2rem;
	margin: .5rem;
	color: var(--md-default-fg-color--light)
}

.md-search-result__icon::after {
	display: inline-block;
	width: 100%;
	height: 100%;
	background-color: currentColor;
	-webkit-mask-image: var(--md-search-result-icon);
	mask-image: var(--md-search-result-icon);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
	content: ""
}

[dir=rtl] .md-search-result__icon {
	right: 0;
	left: initial
}

[dir=rtl] .md-search-result__icon::after {
	transform: scaleX(-1)
}

@media screen and (max-width: 59.9375em) {
	.md-search-result__icon {
		display: none
	}
}

.md-search-result__title {
	margin: .5em 0;
	font-weight: 700;
	font-size: .64rem;
	line-height: 1.6
}

.md-search-result__teaser {
	display: -webkit-box;
	max-height: 2rem;
	margin: .5em 0;
	overflow: hidden;
	color: var(--md-default-fg-color--light);
	font-size: .64rem;
	line-height: 1.6;
	text-overflow: ellipsis;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 2
}

@media screen and (max-width: 44.9375em) {
	.md-search-result__teaser {
		max-height: 3rem;
		-webkit-line-clamp: 3
	}
}

@media screen and (min-width: 60em)and (max-width: 76.1875em) {
	.md-search-result__teaser {
		max-height: 3rem;
		-webkit-line-clamp: 3
	}
}

.md-search-result__teaser mark {
	background-color: transparent;
	border-bottom: .05rem solid var(--md-accent-fg-color)
}

.md-search-result__terms {
	margin: .5em 0;
	font-size: .64rem;
	font-style: italic
}

.md-search-result mark {
	color: var(--md-accent-fg-color);
	background-color: transparent
}

@-webkit-keyframes md-sidebar__scrollwrap--hack {
	0%,
	99% {
		-webkit-scroll-snap-type: none;
		scroll-snap-type: none
	}
	100% {
		-webkit-scroll-snap-type: y mandatory;
		scroll-snap-type: y mandatory
	}
}

@keyframes md-sidebar__scrollwrap--hack {
	0%,
	99% {
		-webkit-scroll-snap-type: none;
		-ms-scroll-snap-type: none;
		scroll-snap-type: none
	}
	100% {
		-webkit-scroll-snap-type: y mandatory;
		-ms-scroll-snap-type: y mandatory;
		scroll-snap-type: y mandatory
	}
}

.md-sidebar {
	position: -webkit-sticky;
	position: sticky;
	top: 2.4rem;
	align-self: flex-start;
	width: 12.1rem;
	padding: 1.2rem 0;
	overflow: hidden
}

@media print {
	.md-sidebar {
		display: none
	}
}

@media screen and (max-width: 76.1875em) {
	.md-sidebar--primary {
		position: fixed;
		top: 0;
		left: -12.1rem;
		z-index: 3;
		width: 12.1rem;
		height: 100%;
		background-color: var(--md-default-bg-color);
		transform: translateX(0);
		transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1), box-shadow 250ms
	}
	[dir=rtl] .md-sidebar--primary {
		right: -12.1rem;
		left: initial
	}
	[data-md-toggle=drawer]:checked~.md-container .md-sidebar--primary {
		box-shadow: 0 8px 10px 1px rgba(0, 0, 0, .14), 0 3px 14px 2px rgba(0, 0, 0, .12), 0 5px 5px -3px rgba(0, 0, 0, .4);
		transform: translateX(12.1rem)
	}
	[dir=rtl] [data-md-toggle=drawer]:checked~.md-container .md-sidebar--primary {
		transform: translateX(-12.1rem)
	}
	.md-sidebar--primary .md-sidebar__scrollwrap {
		overflow: hidden
	}
}

.md-sidebar--secondary {
	display: none;
	order: 2
}

@media screen and (min-width: 60em) {
	.md-sidebar--secondary {
		display: block
	}
	.md-sidebar--secondary .md-sidebar__scrollwrap {
		touch-action: pan-y
	}
}

.md-sidebar__scrollwrap {
	max-height: 100%;
	margin: 0 .2rem;
	overflow-y: auto;
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
	scrollbar-width: thin;
	scrollbar-color: var(--md-default-fg-color--lighter) transparent
}

.js .md-sidebar__scrollwrap {
	-webkit-animation: md-sidebar__scrollwrap--hack 400ms forwards;
	animation: md-sidebar__scrollwrap--hack 400ms forwards
}

@media screen and (max-width: 76.1875em) {
	.md-sidebar--primary .md-sidebar__scrollwrap {
		position: absolute;
		top: 0;
		right: 0;
		bottom: 0;
		left: 0;
		margin: 0;
		-webkit-scroll-snap-type: none;
		-ms-scroll-snap-type: none;
		scroll-snap-type: none
	}
}

.md-sidebar__scrollwrap:hover {
	scrollbar-color: var(--md-accent-fg-color) transparent
}

.md-sidebar__scrollwrap::-webkit-scrollbar {
	width: .2rem;
	height: .2rem
}

.md-sidebar__scrollwrap::-webkit-scrollbar-thumb {
	background-color: var(--md-default-fg-color--lighter)
}

.md-sidebar__scrollwrap::-webkit-scrollbar-thumb:hover {
	background-color: var(--md-accent-fg-color)
}

@-webkit-keyframes md-source__facts--done {
	0% {
		height: 0
	}
	100% {
		height: .65rem
	}
}

@keyframes md-source__facts--done {
	0% {
		height: 0
	}
	100% {
		height: .65rem
	}
}

@-webkit-keyframes md-source__fact--done {
	0% {
		transform: translateY(100%);
		opacity: 0
	}
	50% {
		opacity: 0
	}
	100% {
		transform: translateY(0%);
		opacity: 1
	}
}

@keyframes md-source__fact--done {
	0% {
		transform: translateY(100%);
		opacity: 0
	}
	50% {
		opacity: 0
	}
	100% {
		transform: translateY(0%);
		opacity: 1
	}
}

.md-source {
	display: block;
	font-size: .65rem;
	line-height: 1.2;
	white-space: nowrap;
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
	transition: opacity 250ms
}

.md-source:hover {
	opacity: .7
}

.md-source__icon {
	display: inline-block;
	width: 2.4rem;
	height: 2.4rem;
	vertical-align: middle
}

.md-source__icon svg {
	margin-top: .6rem;
	margin-left: .6rem
}

[dir=rtl] .md-source__icon svg {
	margin-right: .6rem;
	margin-left: initial
}

.md-source__icon+.md-source__repository {
	margin-left: -2rem;
	padding-left: 2rem
}

[dir=rtl] .md-source__icon+.md-source__repository {
	margin-right: -2rem;
	margin-left: initial;
	padding-right: 2rem;
	padding-left: initial
}

.md-source__repository {
	display: inline-block;
	max-width: calc(100% - 1.2rem);
	margin-left: .6rem;
	overflow: hidden;
	font-weight: 700;
	text-overflow: ellipsis;
	vertical-align: middle
}

.md-source__facts {
	margin: 0;
	padding: 0;
	overflow: hidden;
	font-weight: 700;
	font-size: .55rem;
	list-style-type: none;
	opacity: .75
}

[data-md-state=done] .md-source__facts {
	-webkit-animation: md-source__facts--done 250ms ease-in;
	animation: md-source__facts--done 250ms ease-in
}

.md-source__fact {
	float: left
}

[dir=rtl] .md-source__fact {
	float: right
}

[data-md-state=done] .md-source__fact {
	-webkit-animation: md-source__fact--done 400ms ease-out;
	animation: md-source__fact--done 400ms ease-out
}

.md-source__fact::before {
	margin: 0 .1rem;
	content: "·"
}

.md-source__fact:first-child::before {
	display: none
}

.md-tabs {
	width: 100%;
	overflow: auto;
	color: var(--md-primary-bg-color);
	background-color: var(--md-primary-fg-color);
	transition: background 250ms
}

.no-js .md-tabs {
	transition: none
}

@media screen and (max-width: 76.1875em) {
	.md-tabs {
		display: none
	}
}

@media print {
	.md-tabs {
		display: none
	}
}

.md-tabs__list {
	margin: 0;
	margin-left: .2rem;
	padding: 0;
	white-space: nowrap;
	list-style: none;
	contain: content
}

[dir=rtl] .md-tabs__list {
	margin-right: .2rem;
	margin-left: initial
}

.md-tabs__item {
	display: inline-block;
	height: 2.4rem;
	padding-right: .6rem;
	padding-left: .6rem
}

.md-tabs__link {
	display: block;
	margin-top: .8rem;
	font-size: .7rem;
	opacity: .7;
	transition: transform 400ms cubic-bezier(0.1, 0.7, 0.1, 1), opacity 250ms
}

.no-js .md-tabs__link {
	transition: none
}

.md-tabs__link--active,
.md-tabs__link:hover {
	color: inherit;
	opacity: 1
}

.md-tabs__item:nth-child(2) .md-tabs__link {
	transition-delay: 20ms
}

.md-tabs__item:nth-child(3) .md-tabs__link {
	transition-delay: 40ms
}

.md-tabs__item:nth-child(4) .md-tabs__link {
	transition-delay: 60ms
}

.md-tabs__item:nth-child(5) .md-tabs__link {
	transition-delay: 80ms
}

.md-tabs__item:nth-child(6) .md-tabs__link {
	transition-delay: 100ms
}

.md-tabs__item:nth-child(7) .md-tabs__link {
	transition-delay: 120ms
}

.md-tabs__item:nth-child(8) .md-tabs__link {
	transition-delay: 140ms
}

.md-tabs__item:nth-child(9) .md-tabs__link {
	transition-delay: 160ms
}

.md-tabs__item:nth-child(10) .md-tabs__link {
	transition-delay: 180ms
}

.md-tabs__item:nth-child(11) .md-tabs__link {
	transition-delay: 200ms
}

.md-tabs__item:nth-child(12) .md-tabs__link {
	transition-delay: 220ms
}

.md-tabs__item:nth-child(13) .md-tabs__link {
	transition-delay: 240ms
}

.md-tabs__item:nth-child(14) .md-tabs__link {
	transition-delay: 260ms
}

.md-tabs__item:nth-child(15) .md-tabs__link {
	transition-delay: 280ms
}

.md-tabs__item:nth-child(16) .md-tabs__link {
	transition-delay: 300ms
}

.md-tabs[data-md-state=hidden] {
	pointer-events: none
}

.md-tabs[data-md-state=hidden] .md-tabs__link {
	transform: translateY(50%);
	opacity: 0;
	transition: color 250ms, transform 0ms 400ms, opacity 100ms
}

@media screen and (min-width: 76.25em) {
	.md-tabs~.md-main .md-nav--primary>.md-nav__list>.md-nav__item--nested {
		display: none
	}
	.md-tabs--active~.md-main .md-nav--primary .md-nav__title {
		display: block;
		padding: 0 .6rem;
		pointer-events: none;
		scroll-snap-align: start
	}
	.md-tabs--active~.md-main .md-nav--primary .md-nav__title[for=__drawer] {
		display: none
	}
	.md-tabs--active~.md-main .md-nav--primary>.md-nav__list>.md-nav__item {
		display: none
	}
	.md-tabs--active~.md-main .md-nav--primary>.md-nav__list>.md-nav__item--active {
		display: block;
		padding: 0
	}
	.md-tabs--active~.md-main .md-nav--primary>.md-nav__list>.md-nav__item--active>.md-nav__link {
		display: none
	}
	.md-tabs--active~.md-main .md-nav[data-md-level="1"] {
		display: block
	}
	.md-tabs--active~.md-main .md-nav[data-md-level="1"]>.md-nav__list>.md-nav__item {
		padding: 0 .6rem
	}
	.md-tabs--active~.md-main .md-nav[data-md-level="1"]>.md-nav__list>.md-nav__item:last-child {
		padding-bottom: .6rem
	}
	.md-tabs--active~.md-main .md-nav[data-md-level="1"]>.md-nav__list>.md-nav__item:last-child .md-nav__item {
		padding-bottom: 0
	}
	.md-tabs--active~.md-main .md-nav[data-md-level="1"] .md-nav .md-nav__title {
		display: none
	}
}

:root {
	--md-admonition-icon--note: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20.71 7.04c.39-.39.39-1.04 0-1.41l-2.34-2.34c-.37-.39-1.02-.39-1.41 0l-1.84 1.83 3.75 3.75M3 17.25V21h3.75L17.81 9.93l-3.75-3.75L3 17.25z"/></svg>');
	--md-admonition-icon--abstract: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M4 5h16v2H4V5m0 4h16v2H4V9m0 4h16v2H4v-2m0 4h10v2H4v-2z"/></svg>');
	--md-admonition-icon--info: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M13 9h-2V7h2m0 10h-2v-6h2m-1-9A10 10 0 002 12a10 10 0 0010 10 10 10 0 0010-10A10 10 0 0012 2z"/></svg>');
	--md-admonition-icon--tip: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M17.66 11.2c-.23-.3-.51-.56-.77-.82-.67-.6-1.43-1.03-2.07-1.66C13.33 7.26 13 4.85 13.95 3c-.95.23-1.78.75-2.49 1.32-2.59 2.08-3.61 5.75-2.39 8.9.04.1.08.2.08.33 0 .22-.15.42-.35.5-.23.1-.47.04-.66-.12a.58.58 0 01-.14-.17c-1.13-1.43-1.31-3.48-.55-5.12C5.78 10 4.87 12.3 5 14.47c.06.5.12 1 .29 1.5.14.6.41 1.2.71 1.73 1.08 1.73 2.95 2.97 4.96 3.22 2.14.27 4.43-.12 6.07-1.6 1.83-1.66 2.47-4.32 1.53-6.6l-.13-.26c-.21-.46-.77-1.26-.77-1.26m-3.16 6.3c-.28.24-.74.5-1.1.6-1.12.4-2.24-.16-2.9-.82 1.19-.28 1.9-1.16 2.11-2.05.17-.8-.15-1.46-.28-2.23-.12-.74-.1-1.37.17-2.06.19.38.39.76.63 1.06.77 1 1.98 1.44 2.24 2.8.04.14.06.28.06.43.03.82-.33 1.72-.93 2.27z"/></svg>');
	--md-admonition-icon--success: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M12 2C6.5 2 2 6.5 2 12s4.5 10 10 10 10-4.5 10-10S17.5 2 12 2m-2 15l-5-5 1.41-1.41L10 14.17l7.59-7.59L19 8l-9 9z"/></svg>');
	--md-admonition-icon--question: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M15.07 11.25l-.9.92C13.45 12.89 13 13.5 13 15h-2v-.5c0-1.11.45-2.11 1.17-2.83l1.24-1.26c.37-.36.59-.86.59-1.41a2 2 0 00-2-2 2 2 0 00-2 2H8a4 4 0 014-4 4 4 0 014 4 3.2 3.2 0 01-.93 2.25M13 19h-2v-2h2M12 2A10 10 0 002 12a10 10 0 0010 10 10 10 0 0010-10c0-5.53-4.5-10-10-10z"/></svg>');
	--md-admonition-icon--warning: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M13 14h-2V9h2m0 9h-2v-2h2M1 21h22L12 2 1 21z"/></svg>');
	--md-admonition-icon--failure: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M12 2c5.53 0 10 4.47 10 10s-4.47 10-10 10S2 17.53 2 12 6.47 2 12 2m3.59 5L12 10.59 8.41 7 7 8.41 10.59 12 7 15.59 8.41 17 12 13.41 15.59 17 17 15.59 13.41 12 17 8.41 15.59 7z"/></svg>');
	--md-admonition-icon--danger: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M11.5 20l4.86-9.73H13V4l-5 9.73h3.5V20M12 2c2.75 0 5.1 1 7.05 2.95C21 6.9 22 9.25 22 12s-1 5.1-2.95 7.05C17.1 21 14.75 22 12 22s-5.1-1-7.05-2.95C3 17.1 2 14.75 2 12s1-5.1 2.95-7.05C6.9 3 9.25 2 12 2z"/></svg>');
	--md-admonition-icon--bug: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M14 12h-4v-2h4m0 6h-4v-2h4m6-6h-2.81a5.985 5.985 0 00-1.82-1.96L17 4.41 15.59 3l-2.17 2.17a6.002 6.002 0 00-2.83 0L8.41 3 7 4.41l1.62 1.63C7.88 6.55 7.26 7.22 6.81 8H4v2h2.09c-.05.33-.09.66-.09 1v1H4v2h2v1c0 .34.04.67.09 1H4v2h2.81c1.04 1.79 2.97 3 5.19 3s4.15-1.21 5.19-3H20v-2h-2.09c.05-.33.09-.66.09-1v-1h2v-2h-2v-1c0-.34-.04-.67-.09-1H20V8z"/></svg>');
	--md-admonition-icon--example: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M7 13v-2h14v2H7m0 6v-2h14v2H7M7 7V5h14v2H7M3 8V5H2V4h2v4H3m-1 9v-1h3v4H2v-1h2v-.5H3v-1h1V17H2m2.25-7a.75.75 0 01.75.75c0 .2-.08.39-.21.52L3.12 13H5v1H2v-.92L4 11H2v-1h2.25z"/></svg>');
	--md-admonition-icon--quote: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M14 17h3l2-4V7h-6v6h3M6 17h3l2-4V7H5v6h3l-2 4z"/></svg>')
}

.md-typeset .admonition,
.md-typeset details {
	margin: 1.5625em 0;
	padding: 0 .6rem;
	overflow: hidden;
	color: var(--md-admonition-fg-color);
	font-size: .64rem;
	page-break-inside: avoid;
	background-color: var(--md-admonition-bg-color);
	border-left: .2rem solid #448aff;
	border-radius: .1rem;
	box-shadow: 0 .2rem .5rem rgba(0, 0, 0, .05), 0 0 .05rem rgba(0, 0, 0, .1)
}

[dir=rtl] .md-typeset .admonition,
[dir=rtl] .md-typeset details {
	border-right: .2rem solid #448aff;
	border-left: none
}

@media print {
	.md-typeset .admonition,
	.md-typeset details {
		box-shadow: none
	}
}

html .md-typeset .admonition>:last-child,
html .md-typeset details>:last-child {
	margin-bottom: .6rem
}

.md-typeset .admonition .admonition,
.md-typeset details .admonition,
.md-typeset .admonition details,
.md-typeset details details {
	margin: 1em 0
}

.md-typeset .admonition .md-typeset__scrollwrap,
.md-typeset details .md-typeset__scrollwrap {
	margin: 1em -0.6rem
}

.md-typeset .admonition .md-typeset__table,
.md-typeset details .md-typeset__table {
	padding: 0 .6rem
}

.md-typeset .admonition>.tabbed-set:only-child,
.md-typeset details>.tabbed-set:only-child {
	margin-top: 0
}

.md-typeset .admonition-title,
.md-typeset summary {
	position: relative;
	margin: 0 -0.6rem 0 -0.8rem;
	padding: .4rem .6rem .4rem 2.2rem;
	font-weight: 700;
	background-color: rgba(68, 138, 255, .1)
}

[dir=rtl] .md-typeset .admonition-title,
[dir=rtl] .md-typeset summary {
	margin: 0 -0.8rem 0 -0.6rem;
	padding: .4rem 2rem .4rem .6rem
}

html .md-typeset .admonition-title:last-child,
html .md-typeset summary:last-child {
	margin-bottom: 0
}

.md-typeset .admonition-title::before,
.md-typeset summary::before {
	position: absolute;
	left: .8rem;
	width: 1rem;
	height: 1rem;
	background-color: #448aff;
	-webkit-mask-image: var(--md-admonition-icon--note);
	mask-image: var(--md-admonition-icon--note);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
	content: ""
}

[dir=rtl] .md-typeset .admonition-title::before,
[dir=rtl] .md-typeset summary::before {
	right: .8rem;
	left: initial
}

.md-typeset .admonition-title code,
.md-typeset summary code {
	margin: initial;
	padding: initial;
	color: currentColor;
	background-color: transparent;
	border-radius: initial;
	box-shadow: none
}

.md-typeset .admonition-title+.tabbed-set:last-child,
.md-typeset summary+.tabbed-set:last-child {
	margin-top: 0
}

.md-typeset .admonition.note,
.md-typeset details.note {
	border-color: #448aff
}

.md-typeset .note>.admonition-title,
.md-typeset .note>summary {
	background-color: rgba(68, 138, 255, .1)
}

.md-typeset .note>.admonition-title::before,
.md-typeset .note>summary::before {
	background-color: #448aff;
	-webkit-mask-image: var(--md-admonition-icon--note);
	mask-image: var(--md-admonition-icon--note);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat
}

.md-typeset .admonition.abstract,
.md-typeset details.abstract,
.md-typeset .admonition.tldr,
.md-typeset details.tldr,
.md-typeset .admonition.summary,
.md-typeset details.summary {
	border-color: #00b0ff
}

.md-typeset .abstract>.admonition-title,
.md-typeset .abstract>summary,
.md-typeset .tldr>.admonition-title,
.md-typeset .tldr>summary,
.md-typeset .summary>.admonition-title,
.md-typeset .summary>summary {
	background-color: rgba(0, 176, 255, .1)
}

.md-typeset .abstract>.admonition-title::before,
.md-typeset .abstract>summary::before,
.md-typeset .tldr>.admonition-title::before,
.md-typeset .tldr>summary::before,
.md-typeset .summary>.admonition-title::before,
.md-typeset .summary>summary::before {
	background-color: #00b0ff;
	-webkit-mask-image: var(--md-admonition-icon--abstract);
	mask-image: var(--md-admonition-icon--abstract);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat
}

.md-typeset .admonition.info,
.md-typeset details.info,
.md-typeset .admonition.todo,
.md-typeset details.todo {
	border-color: #00b8d4
}

.md-typeset .info>.admonition-title,
.md-typeset .info>summary,
.md-typeset .todo>.admonition-title,
.md-typeset .todo>summary {
	background-color: rgba(0, 184, 212, .1)
}

.md-typeset .info>.admonition-title::before,
.md-typeset .info>summary::before,
.md-typeset .todo>.admonition-title::before,
.md-typeset .todo>summary::before {
	background-color: #00b8d4;
	-webkit-mask-image: var(--md-admonition-icon--info);
	mask-image: var(--md-admonition-icon--info);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat
}

.md-typeset .admonition.tip,
.md-typeset details.tip,
.md-typeset .admonition.important,
.md-typeset details.important,
.md-typeset .admonition.hint,
.md-typeset details.hint {
	border-color: #00bfa5
}

.md-typeset .tip>.admonition-title,
.md-typeset .tip>summary,
.md-typeset .important>.admonition-title,
.md-typeset .important>summary,
.md-typeset .hint>.admonition-title,
.md-typeset .hint>summary {
	background-color: rgba(0, 191, 165, .1)
}

.md-typeset .tip>.admonition-title::before,
.md-typeset .tip>summary::before,
.md-typeset .important>.admonition-title::before,
.md-typeset .important>summary::before,
.md-typeset .hint>.admonition-title::before,
.md-typeset .hint>summary::before {
	background-color: #00bfa5;
	-webkit-mask-image: var(--md-admonition-icon--tip);
	mask-image: var(--md-admonition-icon--tip);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat
}

.md-typeset .admonition.success,
.md-typeset details.success,
.md-typeset .admonition.done,
.md-typeset details.done,
.md-typeset .admonition.check,
.md-typeset details.check {
	border-color: #00c853
}

.md-typeset .success>.admonition-title,
.md-typeset .success>summary,
.md-typeset .done>.admonition-title,
.md-typeset .done>summary,
.md-typeset .check>.admonition-title,
.md-typeset .check>summary {
	background-color: rgba(0, 200, 83, .1)
}

.md-typeset .success>.admonition-title::before,
.md-typeset .success>summary::before,
.md-typeset .done>.admonition-title::before,
.md-typeset .done>summary::before,
.md-typeset .check>.admonition-title::before,
.md-typeset .check>summary::before {
	background-color: #00c853;
	-webkit-mask-image: var(--md-admonition-icon--success);
	mask-image: var(--md-admonition-icon--success);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat
}

.md-typeset .admonition.question,
.md-typeset details.question,
.md-typeset .admonition.faq,
.md-typeset details.faq,
.md-typeset .admonition.help,
.md-typeset details.help {
	border-color: #64dd17
}

.md-typeset .question>.admonition-title,
.md-typeset .question>summary,
.md-typeset .faq>.admonition-title,
.md-typeset .faq>summary,
.md-typeset .help>.admonition-title,
.md-typeset .help>summary {
	background-color: rgba(100, 221, 23, .1)
}

.md-typeset .question>.admonition-title::before,
.md-typeset .question>summary::before,
.md-typeset .faq>.admonition-title::before,
.md-typeset .faq>summary::before,
.md-typeset .help>.admonition-title::before,
.md-typeset .help>summary::before {
	background-color: #64dd17;
	-webkit-mask-image: var(--md-admonition-icon--question);
	mask-image: var(--md-admonition-icon--question);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat
}

.md-typeset .admonition.warning,
.md-typeset details.warning,
.md-typeset .admonition.attention,
.md-typeset details.attention,
.md-typeset .admonition.caution,
.md-typeset details.caution {
	border-color: #ff9100
}

.md-typeset .warning>.admonition-title,
.md-typeset .warning>summary,
.md-typeset .attention>.admonition-title,
.md-typeset .attention>summary,
.md-typeset .caution>.admonition-title,
.md-typeset .caution>summary {
	background-color: rgba(255, 145, 0, .1)
}

.md-typeset .warning>.admonition-title::before,
.md-typeset .warning>summary::before,
.md-typeset .attention>.admonition-title::before,
.md-typeset .attention>summary::before,
.md-typeset .caution>.admonition-title::before,
.md-typeset .caution>summary::before {
	background-color: #ff9100;
	-webkit-mask-image: var(--md-admonition-icon--warning);
	mask-image: var(--md-admonition-icon--warning);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat
}

.md-typeset .admonition.failure,
.md-typeset details.failure,
.md-typeset .admonition.missing,
.md-typeset details.missing,
.md-typeset .admonition.fail,
.md-typeset details.fail {
	border-color: #ff5252
}

.md-typeset .failure>.admonition-title,
.md-typeset .failure>summary,
.md-typeset .missing>.admonition-title,
.md-typeset .missing>summary,
.md-typeset .fail>.admonition-title,
.md-typeset .fail>summary {
	background-color: rgba(255, 82, 82, .1)
}

.md-typeset .failure>.admonition-title::before,
.md-typeset .failure>summary::before,
.md-typeset .missing>.admonition-title::before,
.md-typeset .missing>summary::before,
.md-typeset .fail>.admonition-title::before,
.md-typeset .fail>summary::before {
	background-color: #ff5252;
	-webkit-mask-image: var(--md-admonition-icon--failure);
	mask-image: var(--md-admonition-icon--failure);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat
}

.md-typeset .admonition.danger,
.md-typeset details.danger,
.md-typeset .admonition.error,
.md-typeset details.error {
	border-color: #ff1744
}

.md-typeset .danger>.admonition-title,
.md-typeset .danger>summary,
.md-typeset .error>.admonition-title,
.md-typeset .error>summary {
	background-color: rgba(255, 23, 68, .1)
}

.md-typeset .danger>.admonition-title::before,
.md-typeset .danger>summary::before,
.md-typeset .error>.admonition-title::before,
.md-typeset .error>summary::before {
	background-color: #ff1744;
	-webkit-mask-image: var(--md-admonition-icon--danger);
	mask-image: var(--md-admonition-icon--danger);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat
}

.md-typeset .admonition.bug,
.md-typeset details.bug {
	border-color: #f50057
}

.md-typeset .bug>.admonition-title,
.md-typeset .bug>summary {
	background-color: rgba(245, 0, 87, .1)
}

.md-typeset .bug>.admonition-title::before,
.md-typeset .bug>summary::before {
	background-color: #f50057;
	-webkit-mask-image: var(--md-admonition-icon--bug);
	mask-image: var(--md-admonition-icon--bug);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat
}

.md-typeset .admonition.example,
.md-typeset details.example {
	border-color: #651fff
}

.md-typeset .example>.admonition-title,
.md-typeset .example>summary {
	background-color: rgba(101, 31, 255, .1)
}

.md-typeset .example>.admonition-title::before,
.md-typeset .example>summary::before {
	background-color: #651fff;
	-webkit-mask-image: var(--md-admonition-icon--example);
	mask-image: var(--md-admonition-icon--example);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat
}

.md-typeset .admonition.quote,
.md-typeset details.quote,
.md-typeset .admonition.cite,
.md-typeset details.cite {
	border-color: #9e9e9e
}

.md-typeset .quote>.admonition-title,
.md-typeset .quote>summary,
.md-typeset .cite>.admonition-title,
.md-typeset .cite>summary {
	background-color: rgba(158, 158, 158, .1)
}

.md-typeset .quote>.admonition-title::before,
.md-typeset .quote>summary::before,
.md-typeset .cite>.admonition-title::before,
.md-typeset .cite>summary::before {
	background-color: #9e9e9e;
	-webkit-mask-image: var(--md-admonition-icon--quote);
	mask-image: var(--md-admonition-icon--quote);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat
}

.codehilite .o,
.highlight .o,
.codehilite .ow,
.highlight .ow {
	color: var(--md-code-hl-operator-color)
}

.codehilite .p,
.highlight .p {
	color: var(--md-code-hl-punctuation-color)
}

.codehilite .cpf,
.highlight .cpf,
.codehilite .l,
.highlight .l,
.codehilite .s,
.highlight .s,
.codehilite .sb,
.highlight .sb,
.codehilite .sc,
.highlight .sc,
.codehilite .s2,
.highlight .s2,
.codehilite .si,
.highlight .si,
.codehilite .s1,
.highlight .s1,
.codehilite .ss,
.highlight .ss {
	color: var(--md-code-hl-string-color)
}

.codehilite .cp,
.highlight .cp,
.codehilite .se,
.highlight .se,
.codehilite .sh,
.highlight .sh,
.codehilite .sr,
.highlight .sr,
.codehilite .sx,
.highlight .sx {
	color: var(--md-code-hl-special-color)
}

.codehilite .m,
.highlight .m,
.codehilite .mf,
.highlight .mf,
.codehilite .mh,
.highlight .mh,
.codehilite .mi,
.highlight .mi,
.codehilite .il,
.highlight .il,
.codehilite .mo,
.highlight .mo {
	color: var(--md-code-hl-number-color)
}

.codehilite .k,
.highlight .k,
.codehilite .kd,
.highlight .kd,
.codehilite .kn,
.highlight .kn,
.codehilite .kp,
.highlight .kp,
.codehilite .kr,
.highlight .kr,
.codehilite .kt,
.highlight .kt {
	color: var(--md-code-hl-keyword-color)
}

.codehilite .kc,
.highlight .kc,
.codehilite .n,
.highlight .n {
	color: var(--md-code-hl-name-color)
}

.codehilite .no,
.highlight .no,
.codehilite .nb,
.highlight .nb,
.codehilite .bp,
.highlight .bp {
	color: var(--md-code-hl-constant-color)
}

.codehilite .nc,
.highlight .nc,
.codehilite .ne,
.highlight .ne,
.codehilite .nf,
.highlight .nf,
.codehilite .nn,
.highlight .nn {
	color: var(--md-code-hl-function-color)
}

.codehilite .nd,
.highlight .nd,
.codehilite .ni,
.highlight .ni,
.codehilite .nl,
.highlight .nl,
.codehilite .nt,
.highlight .nt {
	color: var(--md-code-hl-keyword-color)
}

.codehilite .c,
.highlight .c,
.codehilite .cm,
.highlight .cm,
.codehilite .c1,
.highlight .c1,
.codehilite .ch,
.highlight .ch,
.codehilite .cs,
.highlight .cs,
.codehilite .sd,
.highlight .sd {
	color: var(--md-code-hl-comment-color)
}

.codehilite .na,
.highlight .na,
.codehilite .nv,
.highlight .nv,
.codehilite .vc,
.highlight .vc,
.codehilite .vg,
.highlight .vg,
.codehilite .vi,
.highlight .vi {
	color: var(--md-code-hl-variable-color)
}

.codehilite .ge,
.highlight .ge,
.codehilite .gr,
.highlight .gr,
.codehilite .gh,
.highlight .gh,
.codehilite .go,
.highlight .go,
.codehilite .gp,
.highlight .gp,
.codehilite .gs,
.highlight .gs,
.codehilite .gu,
.highlight .gu,
.codehilite .gt,
.highlight .gt {
	color: var(--md-code-hl-generic-color)
}

.codehilite .gd,
.highlight .gd,
.codehilite .gi,
.highlight .gi {
	margin: 0 -0.125em;
	padding: 0 .125em;
	border-radius: .1rem
}

.codehilite .gd,
.highlight .gd {
	background-color: var(--md-typeset-del-color)
}

.codehilite .gi,
.highlight .gi {
	background-color: var(--md-typeset-ins-color)
}

.codehilite .hll,
.highlight .hll {
	display: block;
	margin: 0 -1.1764705882em;
	padding: 0 1.1764705882em;
	background-color: var(--md-code-hl-color)
}

.codehilitetable,
.highlighttable {
	display: block;
	overflow: hidden
}

.codehilitetable tbody,
.highlighttable tbody,
.codehilitetable td,
.highlighttable td {
	display: block;
	padding: 0
}

.codehilitetable tr,
.highlighttable tr {
	display: flex
}

.codehilitetable pre,
.highlighttable pre {
	margin: 0
}

.codehilitetable .linenos,
.highlighttable .linenos {
	padding: .525rem 1.1764705882em;
	padding-right: 0;
	font-size: .85em;
	background-color: var(--md-code-bg-color);
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none
}

.codehilitetable .linenodiv,
.highlighttable .linenodiv {
	padding-right: .5882352941em;
	box-shadow: -0.05rem 0 var(--md-default-fg-color--lighter) inset
}

.codehilitetable .linenodiv pre,
.highlighttable .linenodiv pre {
	color: var(--md-default-fg-color--light);
	text-align: right
}

.codehilitetable .code,
.highlighttable .code {
	flex: 1;
	overflow: hidden
}

.md-typeset .codehilitetable,
.md-typeset .highlighttable {
	margin: 1em 0;
	direction: ltr;
	border-radius: .1rem
}

.md-typeset .codehilitetable code,
.md-typeset .highlighttable code {
	border-radius: 0
}

@media screen and (max-width: 44.9375em) {
	.md-typeset>.codehilite,
	.md-typeset>.highlight {
		margin: 1em -0.8rem
	}
	.md-typeset>.codehilite .hll,
	.md-typeset>.highlight .hll {
		margin: 0 -0.8rem;
		padding: 0 .8rem
	}
	.md-typeset>.codehilite code,
	.md-typeset>.highlight code {
		border-radius: 0
	}
	.md-typeset>.codehilitetable,
	.md-typeset>.highlighttable {
		margin: 1em -0.8rem;
		border-radius: 0
	}
	.md-typeset>.codehilitetable .hll,
	.md-typeset>.highlighttable .hll {
		margin: 0 -0.8rem;
		padding: 0 .8rem
	}
}

:root {
	--md-footnotes-icon: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M19 7v4H5.83l3.58-3.59L8 6l-6 6 6 6 1.41-1.42L5.83 13H21V7h-2z"/></svg>')
}

.md-typeset [id^="fnref:"] {
	display: inline-block
}

.md-typeset [id^="fnref:"]:target {
	margin-top: -3.8rem;
	padding-top: 3.8rem;
	pointer-events: none;
	scroll-margin-top: initial
}

.md-typeset [id^="fn:"]::before {
	display: none;
	height: 0;
	content: ""
}

.md-typeset [id^="fn:"]:target {
	scroll-margin-top: initial
}

.md-typeset [id^="fn:"]:target::before {
	display: block;
	margin-top: -3.5rem;
	padding-top: 3.5rem;
	pointer-events: none
}

.md-typeset .footnote {
	color: var(--md-default-fg-color--light);
	font-size: .64rem
}

.md-typeset .footnote ol {
	margin-left: 0
}

.md-typeset .footnote li {
	transition: color 125ms
}

.md-typeset .footnote li:target {
	color: var(--md-default-fg-color)
}

.md-typeset .footnote li :first-child {
	margin-top: 0
}

.md-typeset .footnote li:hover .footnote-backref,
.md-typeset .footnote li:target .footnote-backref {
	transform: translateX(0);
	opacity: 1
}

.md-typeset .footnote li:hover .footnote-backref:hover {
	color: var(--md-accent-fg-color)
}

.md-typeset .footnote-ref {
	display: inline-block;
	pointer-events: initial
}

.md-typeset .footnote-backref {
	display: inline-block;
	color: var(--md-typeset-a-color);
	font-size: 0;
	vertical-align: text-bottom;
	transform: translateX(0.25rem);
	opacity: 0;
	transition: color 250ms, transform 250ms 250ms, opacity 125ms 250ms
}

[dir=rtl] .md-typeset .footnote-backref {
	transform: translateX(-0.25rem)
}

.md-typeset .footnote-backref::before {
	display: inline-block;
	width: .8rem;
	height: .8rem;
	background-color: currentColor;
	-webkit-mask-image: var(--md-footnotes-icon);
	mask-image: var(--md-footnotes-icon);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
	content: ""
}

[dir=rtl] .md-typeset .footnote-backref::before svg {
	transform: scaleX(-1)
}

@media print {
	.md-typeset .footnote-backref {
		color: var(--md-typeset-a-color);
		transform: translateX(0);
		opacity: 1
	}
}

.md-typeset .headerlink {
	display: inline-block;
	margin-left: .5rem;
	visibility: hidden;
	opacity: 0;
	transition: color 250ms, visibility 0ms 500ms, opacity 125ms
}

[dir=rtl] .md-typeset .headerlink {
	margin-right: .5rem;
	margin-left: initial
}

html body .md-typeset .headerlink {
	color: var(--md-default-fg-color--lighter)
}

@media print {
	.md-typeset .headerlink {
		display: none
	}
}

.md-typeset :hover>.headerlink,
.md-typeset :target>.headerlink,
.md-typeset .headerlink:focus {
	visibility: visible;
	opacity: 1;
	transition: color 250ms, visibility 0ms, opacity 125ms
}

.md-typeset :target>.headerlink,
.md-typeset .headerlink:focus,
.md-typeset .headerlink:hover {
	color: var(--md-accent-fg-color)
}

.md-typeset :target {
	scroll-margin-top: 3.6rem
}

.md-typeset h3[id]:target,
.md-typeset h2[id]:target,
.md-typeset h1[id]:target {
	scroll-margin-top: initial
}

.md-typeset h3[id]::before,
.md-typeset h2[id]::before,
.md-typeset h1[id]::before {
	display: block;
	margin-top: -0.4rem;
	padding-top: .4rem;
	content: ""
}

.md-typeset h3[id]:target::before,
.md-typeset h2[id]:target::before,
.md-typeset h1[id]:target::before {
	margin-top: -3.4rem;
	padding-top: 3.4rem
}

.md-typeset h4[id]:target {
	scroll-margin-top: initial
}

.md-typeset h4[id]::before {
	display: block;
	margin-top: -0.45rem;
	padding-top: .45rem;
	content: ""
}

.md-typeset h4[id]:target::before {
	margin-top: -3.45rem;
	padding-top: 3.45rem
}

.md-typeset h6[id]:target,
.md-typeset h5[id]:target {
	scroll-margin-top: initial
}

.md-typeset h6[id]::before,
.md-typeset h5[id]::before {
	display: block;
	margin-top: -0.6rem;
	padding-top: .6rem;
	content: ""
}

.md-typeset h6[id]:target::before,
.md-typeset h5[id]:target::before {
	margin-top: -3.6rem;
	padding-top: 3.6rem
}

.md-typeset div.arithmatex {
	overflow-x: scroll
}

@media screen and (max-width: 44.9375em) {
	.md-typeset div.arithmatex {
		margin: 0 -0.8rem
	}
}

.md-typeset div.arithmatex>* {
	width: -webkit-min-content;
	width: -moz-min-content;
	width: min-content;
	margin: 1em auto !important;
	padding: 0 .8rem;
	overflow: auto;
	touch-action: auto
}

.md-typeset del.critic,
.md-typeset ins.critic,
.md-typeset .critic.comment {
	-webkit-box-decoration-break: clone;
	box-decoration-break: clone
}

.md-typeset del.critic {
	background-color: var(--md-typeset-del-color)
}

.md-typeset ins.critic {
	background-color: var(--md-typeset-ins-color)
}

.md-typeset .critic.comment {
	color: var(--md-code-hl-comment-color)
}

.md-typeset .critic.comment::before {
	content: "/* "
}

.md-typeset .critic.comment::after {
	content: " */"
}

.md-typeset .critic.block {
	display: block;
	margin: 1em 0;
	padding-right: .8rem;
	padding-left: .8rem;
	overflow: auto;
	box-shadow: none
}

.md-typeset .critic.block :first-child {
	margin-top: .5em
}

.md-typeset .critic.block :last-child {
	margin-bottom: .5em
}

:root {
	--md-details-icon: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M8.59 16.58L13.17 12 8.59 7.41 10 6l6 6-6 6-1.41-1.42z"/></svg>')
}

.md-typeset details {
	display: block;
	padding-top: 0;
	overflow: visible
}

.md-typeset details[open]>summary::after {
	transform: rotate(90deg)
}

.md-typeset details:not([open]) {
	padding-bottom: 0
}

.md-typeset details:not([open])>summary {
	border-radius: .1rem
}

.md-typeset details::after {
	display: table;
	content: ""
}

.md-typeset summary {
	display: block;
	min-height: 1rem;
	padding: .4rem 1.8rem .4rem 2.2rem;
	border-top-left-radius: .1rem;
	border-top-right-radius: .1rem;
	cursor: pointer
}

.md-typeset summary:not(.focus-visible) {
	outline: none;
	-webkit-tap-highlight-color: transparent
}

[dir=rtl] .md-typeset summary {
	padding: .4rem 2.2rem .4rem 1.8rem
}

.md-typeset summary::-webkit-details-marker {
	display: none
}

.md-typeset summary::after {
	position: absolute;
	top: .4rem;
	right: .4rem;
	width: 1rem;
	height: 1rem;
	background-color: currentColor;
	-webkit-mask-image: var(--md-details-icon);
	mask-image: var(--md-details-icon);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
	transform: rotate(0deg);
	transition: transform 250ms;
	content: ""
}

[dir=rtl] .md-typeset summary::after {
	right: initial;
	left: .4rem;
	transform: rotate(180deg)
}

.md-typeset img.emojione,
.md-typeset img.twemoji,
.md-typeset img.gemoji {
	width: 1.125em;
	max-height: 100%;
	vertical-align: -15%
}

.md-typeset span.twemoji {
	display: inline-block;
	height: 1.125em;
	vertical-align: text-top
}

.md-typeset span.twemoji svg {
	width: 1.125em;
	max-height: 100%;
	fill: currentColor
}

.highlight [data-linenos]::before {
	position: -webkit-sticky;
	position: sticky;
	left: -1.1764705882em;
	float: left;
	margin-right: 1.1764705882em;
	margin-left: -1.1764705882em;
	padding-left: 1.1764705882em;
	color: var(--md-default-fg-color--light);
	background-color: var(--md-code-bg-color);
	box-shadow: -0.05rem 0 var(--md-default-fg-color--lighter) inset;
	content: attr(data-linenos);
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none
}

.md-typeset .keys kbd::before,
.md-typeset .keys kbd::after {
	position: relative;
	margin: 0;
	color: inherit;
	-moz-osx-font-smoothing: initial;
	-webkit-font-smoothing: initial
}

.md-typeset .keys span {
	padding: 0 .2em;
	color: var(--md-default-fg-color--light)
}

.md-typeset .keys .key-alt::before {
	padding-right: .4em;
	content: "⎇"
}

.md-typeset .keys .key-left-alt::before {
	padding-right: .4em;
	content: "⎇"
}

.md-typeset .keys .key-right-alt::before {
	padding-right: .4em;
	content: "⎇"
}

.md-typeset .keys .key-command::before {
	padding-right: .4em;
	content: "⌘"
}

.md-typeset .keys .key-left-command::before {
	padding-right: .4em;
	content: "⌘"
}

.md-typeset .keys .key-right-command::before {
	padding-right: .4em;
	content: "⌘"
}

.md-typeset .keys .key-control::before {
	padding-right: .4em;
	content: "⌃"
}

.md-typeset .keys .key-left-control::before {
	padding-right: .4em;
	content: "⌃"
}

.md-typeset .keys .key-right-control::before {
	padding-right: .4em;
	content: "⌃"
}

.md-typeset .keys .key-meta::before {
	padding-right: .4em;
	content: "◆"
}

.md-typeset .keys .key-left-meta::before {
	padding-right: .4em;
	content: "◆"
}

.md-typeset .keys .key-right-meta::before {
	padding-right: .4em;
	content: "◆"
}

.md-typeset .keys .key-option::before {
	padding-right: .4em;
	content: "⌥"
}

.md-typeset .keys .key-left-option::before {
	padding-right: .4em;
	content: "⌥"
}

.md-typeset .keys .key-right-option::before {
	padding-right: .4em;
	content: "⌥"
}

.md-typeset .keys .key-shift::before {
	padding-right: .4em;
	content: "⇧"
}

.md-typeset .keys .key-left-shift::before {
	padding-right: .4em;
	content: "⇧"
}

.md-typeset .keys .key-right-shift::before {
	padding-right: .4em;
	content: "⇧"
}

.md-typeset .keys .key-super::before {
	padding-right: .4em;
	content: "❖"
}

.md-typeset .keys .key-left-super::before {
	padding-right: .4em;
	content: "❖"
}

.md-typeset .keys .key-right-super::before {
	padding-right: .4em;
	content: "❖"
}

.md-typeset .keys .key-windows::before {
	padding-right: .4em;
	content: "⊞"
}

.md-typeset .keys .key-left-windows::before {
	padding-right: .4em;
	content: "⊞"
}

.md-typeset .keys .key-right-windows::before {
	padding-right: .4em;
	content: "⊞"
}

.md-typeset .keys .key-arrow-down::before {
	padding-right: .4em;
	content: "↓"
}

.md-typeset .keys .key-arrow-left::before {
	padding-right: .4em;
	content: "←"
}

.md-typeset .keys .key-arrow-right::before {
	padding-right: .4em;
	content: "→"
}

.md-typeset .keys .key-arrow-up::before {
	padding-right: .4em;
	content: "↑"
}

.md-typeset .keys .key-backspace::before {
	padding-right: .4em;
	content: "⌫"
}

.md-typeset .keys .key-backtab::before {
	padding-right: .4em;
	content: "⇤"
}

.md-typeset .keys .key-caps-lock::before {
	padding-right: .4em;
	content: "⇪"
}

.md-typeset .keys .key-clear::before {
	padding-right: .4em;
	content: "⌧"
}

.md-typeset .keys .key-context-menu::before {
	padding-right: .4em;
	content: "☰"
}

.md-typeset .keys .key-delete::before {
	padding-right: .4em;
	content: "⌦"
}

.md-typeset .keys .key-eject::before {
	padding-right: .4em;
	content: "⏏"
}

.md-typeset .keys .key-end::before {
	padding-right: .4em;
	content: "⤓"
}

.md-typeset .keys .key-escape::before {
	padding-right: .4em;
	content: "⎋"
}

.md-typeset .keys .key-home::before {
	padding-right: .4em;
	content: "⤒"
}

.md-typeset .keys .key-insert::before {
	padding-right: .4em;
	content: "⎀"
}

.md-typeset .keys .key-page-down::before {
	padding-right: .4em;
	content: "⇟"
}

.md-typeset .keys .key-page-up::before {
	padding-right: .4em;
	content: "⇞"
}

.md-typeset .keys .key-print-screen::before {
	padding-right: .4em;
	content: "⎙"
}

.md-typeset .keys .key-tab::after {
	padding-left: .4em;
	content: "⇥"
}

.md-typeset .keys .key-num-enter::after {
	padding-left: .4em;
	content: "⌤"
}

.md-typeset .keys .key-enter::after {
	padding-left: .4em;
	content: "⏎"
}

.md-typeset .tabbed-content {
	display: none;
	order: 99;
	width: 100%;
	box-shadow: 0 -0.05rem var(--md-default-fg-color--lightest)
}

.md-typeset .tabbed-content>pre:only-child,
.md-typeset .tabbed-content>.codehilite:only-child pre,
.md-typeset .tabbed-content>.codehilitetable:only-child,
.md-typeset .tabbed-content>.highlight:only-child pre,
.md-typeset .tabbed-content>.highlighttable:only-child {
	margin: 0
}

.md-typeset .tabbed-content>pre:only-child>code,
.md-typeset .tabbed-content>.codehilite:only-child pre>code,
.md-typeset .tabbed-content>.codehilitetable:only-child>code,
.md-typeset .tabbed-content>.highlight:only-child pre>code,
.md-typeset .tabbed-content>.highlighttable:only-child>code {
	border-top-left-radius: 0;
	border-top-right-radius: 0
}

.md-typeset .tabbed-content>.tabbed-set {
	margin: 0
}

.md-typeset .tabbed-set {
	position: relative;
	display: flex;
	flex-wrap: wrap;
	margin: 1em 0;
	border-radius: .1rem
}

.md-typeset .tabbed-set>input {
	position: absolute;
	width: 0;
	height: 0;
	opacity: 0
}

.md-typeset .tabbed-set>input:checked+label {
	color: var(--md-accent-fg-color);
	border-color: var(--md-accent-fg-color)
}

.md-typeset .tabbed-set>input:checked+label+.tabbed-content {
	display: block
}

.md-typeset .tabbed-set>input:focus+label {
	outline-style: auto
}

.md-typeset .tabbed-set>input:not(.focus-visible)+label {
	outline: none;
	-webkit-tap-highlight-color: transparent
}

.md-typeset .tabbed-set>label {
	z-index: 1;
	width: auto;
	padding: .9375em 1.25em .78125em;
	color: var(--md-default-fg-color--light);
	font-weight: 700;
	font-size: .64rem;
	border-bottom: .1rem solid transparent;
	cursor: pointer;
	transition: color 250ms
}

html .md-typeset .tabbed-set>label:hover {
	color: var(--md-accent-fg-color)
}

:root {
	--md-tasklist-icon: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path fill-rule="evenodd" d="M1 12C1 5.925 5.925 1 12 1s11 4.925 11 11-4.925 11-11 11S1 18.075 1 12zm16.28-2.72a.75.75 0 00-1.06-1.06l-5.97 5.97-2.47-2.47a.75.75 0 00-1.06 1.06l3 3a.75.75 0 001.06 0l6.5-6.5z"/></svg>');
	--md-tasklist-icon--checked: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path fill-rule="evenodd" d="M1 12C1 5.925 5.925 1 12 1s11 4.925 11 11-4.925 11-11 11S1 18.075 1 12zm16.28-2.72a.75.75 0 00-1.06-1.06l-5.97 5.97-2.47-2.47a.75.75 0 00-1.06 1.06l3 3a.75.75 0 001.06 0l6.5-6.5z"/></svg>')
}

.md-typeset .task-list-item {
	position: relative;
	list-style-type: none
}

.md-typeset .task-list-item [type=checkbox] {
	position: absolute;
	top: .45em;
	left: -2em
}

[dir=rtl] .md-typeset .task-list-item [type=checkbox] {
	right: -2em;
	left: initial
}

.md-typeset .task-list-control .task-list-indicator::before {
	position: absolute;
	top: .15em;
	left: -1.5em;
	width: 1.25em;
	height: 1.25em;
	background-color: var(--md-default-fg-color--lightest);
	-webkit-mask-image: var(--md-tasklist-icon);
	mask-image: var(--md-tasklist-icon);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
	content: ""
}

[dir=rtl] .md-typeset .task-list-control .task-list-indicator::before {
	right: -1.5em;
	left: initial
}

.md-typeset .task-list-control [type=checkbox]:checked+.task-list-indicator::before {
	background-color: #00e676;
	-webkit-mask-image: var(--md-tasklist-icon--checked);
	mask-image: var(--md-tasklist-icon--checked)
}

.md-typeset .task-list-control [type=checkbox] {
	z-index: -1;
	opacity: 0
}